package com.ruoyi.common.importExcel.excel.tempInfo;


import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.common.importExcel.excel.helper.BasicExcelHelper;
import lombok.Data;

@Data
@ExcelSheetInfo(dataRowStart=2)
public class ParaLibraryExportHelper extends BasicExcelHelper {
    @ExcelSheetColumn(index = 0, colName = "参数编码", maxLength = 100, notBlank = false, unique = true)
    private String paraCode;
    @ExcelSheetColumn(index = 1, colName = "参数名称", maxLength = 100, notBlank = false)
    private String paraName;

    @ExcelSheetColumn(index = 2, colName = "参数名称(英)", maxLength = 100, notBlank = false)
    private String paraNameUS;
    @ExcelSheetColumn(index = 3, colName = "参数名称(俄)", maxLength = 100, notBlank = false)
    private String paraNameRU;
    @ExcelSheetColumn(index = 4, colName = "参数名称(西)", maxLength = 100, notBlank = false)
    private String paraNameES;
    @ExcelSheetColumn(index = 5, colName = "参数大类", maxLength = 100, notBlank = false)
    private String paraCategory;
    @ExcelSheetColumn(index = 6, colName = "输入方式", maxLength = 100, notBlank = false)
    private String inputType;
    @ExcelSheetColumn(index = 7, colName = "电梯类型", maxLength = 100, notBlank = false)
    private String elevatorType;
    @ExcelSheetColumn(index = 8, colName = "是否报价参数", maxLength = 100, notBlank = false)
    private String isQuotation;
    @ExcelSheetColumn(index = 9, colName = "是否土建参数", maxLength = 100, notBlank = false)
    private String isCivil;
    @ExcelSheetColumn(index = 10, colName = "是否计算参数", maxLength = 100, notBlank = false)
    private String isCalc;

    @ExcelSheetColumn(index = 11, colName = "选项值", maxLength = 100, notBlank = false)
    private String value;
    @ExcelSheetColumn(index = 12, colName = "选项名称", maxLength = 100, notBlank = false)
    private String label;
    @ExcelSheetColumn(index = 13, colName = "选项名称(英)", maxLength = 100, notBlank = false)
    private String labelUS;
    @ExcelSheetColumn(index = 14, colName = "选项名称(俄)", maxLength = 100, notBlank = false)
    private String labelRU;
    @ExcelSheetColumn(index = 15, colName = "选项名称(西)", maxLength = 100, notBlank = false)
    private String labelES;
    @ExcelSheetColumn(index = 16, colName = "选项编码", maxLength = 100, notBlank = false)
    private String itemCode;
    @ExcelSheetColumn(index = 17, colName = "选项图片", maxLength = 100, notBlank = false)
    private String prarSource;
    @ExcelSheetColumn(index = 18, colName = "备注", maxLength = 500, notBlank = false)
    private String remark;
}
