package com.ruoyi.framework.annotation;

import org.springframework.core.annotation.AliasFor;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author : qing
 * @date : 2024/4/21 19:21
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Dynamic {

    // 数据权限字段
    String value() default "permission_char";

    // 数据权限字段  作为 value 的别名
    @AliasFor("value")
    String column() default "permission_char";
}
