package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 区域别梯型参数联动逻辑对象 tp_para_related_logic
 *
 * @author ruoyi
 * @date 2024-05-08
 */
@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class TpParaRelatedLogic extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用例ID
     */
    @Excel(name = "用例ID")
    private Long caseId;

    /**
     * 参数编码
     */
    @Excel(name = "参数编码")
    private String paraCode;

    /**
     * 关系运算(= &gt; &lt; ≥ ≤ 包含 不包含)
     */
    @Excel(name = "关系运算(= &gt; &lt; ≥ ≤ 包含 不包含)")
    private String operation;

    /**
     * 值
     */
    @Excel(name = "值")
    private String value;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;
}
