package com.ruoyi.project.business.domain.flow;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.web.domain.BaseEntity;
import com.ruoyi.project.business.domain.system.SysAttachment;
import com.ruoyi.project.system.domain.SysUser;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FlowTaskUser extends BaseEntity {
    private Long id;
    private Long taskId;
    private Integer status;
    private String remark;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date auditTime;
    private String auditor;
    private String auditUser;
    private String delFlag;

    private List<Long> ids;
    private SysUser auditUserInfo;

    private String nickName;
    private String auditorName;
    private String nodeName;

    private Long flowId;
    private String desc;
    private List<SysAttachment> attachmentList;
}
