package com.ruoyi.project.business.domain.vo.paramSelectItem;

import com.ruoyi.project.business.domain.TpAreaElevatorModelPara;
import java.util.List;
import lombok.Data;

/**
 * 【请填写功能名称】对象 tp_area_elevator_model_para
 *
 * @author ruoyi
 * @date 2024-04-25
 */
@Data
public class AreaElevatorModelParaVO extends TpAreaElevatorModelPara {

    /**
     * 区域电梯参数ID(paramLibrary表)
     */
    private Long paramId;

    /**
     * 电梯型号ID
     */
    private Long elevatorModelId;

    /**
     * 参数名称
     */
    private String paraNameUS;

    /**
     * 参数名称
     */
    private String paraNameRU;

    /**
     * 参数名称
     */
    private String paraNameES;

    /**
     * 参数大类（00：基本参数 01：井道参数 02：轿厢参数 03：门机参数 04：选配参数 05：装潢参数 06：楼层参数）
     */
    private String paraCategory;

    // 参数类别排序
    private Long dictSort;

    private String paraCategoryLabel;

    private String paraCategoryLabelUS;

    private String paraCategoryLabelRU;

    private String paraCategoryLabelES;

    /**
     * 输入方式（00：Input 01：InputNumber 02：Select）
     */
    private String inputType;

    private List<AreaParaSelectItemVo> selectItemList;

    private List<TransferParam> paraSelectListOpt;

    private List<Long> paraAreaSelectList;

    //参数标准配置值
    private String paraDefaultValue;

    /**
     * 参数标准配置id（关联参数选项表）
     */
    private Long paraDefaultId;

    //默认惨数Id
    private Long standardId;

    private Long sort;

    private String isQuotation;

    private String isCalc;

}
