package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.train.TtTestPaperDetail;
import com.ruoyi.project.business.domain.vo.train.TtTestPaperDetailVo;

import java.util.List;

/**
 * @author fangk
 * @description 针对表【tt_test_paper_detail】的数据库操作Mapper
 * @createDate 2024-05-20 15:28:25
 * @Entity com.ruoyi.project.business.domain.train.TtTestPaperDetail
 */
public interface TtTestPaperDetailMapper extends BaseMapper<TtTestPaperDetail> {

    int batchInsert(List<TtTestPaperDetail> ttTestPaperDetailList);

    /** 详细查询*/
    List<TtTestPaperDetailVo> selectTestPaperDetailList(TtTestPaperDetail ttTestPaperDetail);
}




