package com.ruoyi.project.common.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.project.common.domain.MessageChatContent;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author jubs
 */
@Getter
@Setter
public class MessageChatContentDto extends MessageChatContent {
    String readStatus;

    /**
     * 聊天记录id
     */
    Long messageContentUserId;

    /**
     * 聊天室id
     */
    Long messageChatId;

    /**
     * 接收者用户id
     */
    private Long receiveUserId;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 发送者头像
     * */
    private String avatar;

    private String nickName;

}
