package com.ruoyi.project.system.domain.vo.res;

import com.ruoyi.project.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author : fangk
 * @date : 2024/4/24 14:19
 * @desc : 下级用户: 各层级【区域-> 区域、区域-> 代理商、代理商-> 业务员、 业务员-> 下级代理商】的下级用户
 */


@Data
@NoArgsConstructor
@AllArgsConstructor
public class NextLevelUsers {

    private Level curLevel;

    private Level nextLevel;

    private List<SysUser> nextLevelUsers;


    @Getter
    @AllArgsConstructor
    public enum Level {
        AREA("区域"), AGENT("代理商"),
        ;
        
        private String level;

    }
}