package com.ruoyi.common.importExcel.excel.tempInfo;


import com.ruoyi.common.importExcel.annotation.ExcelSheetColumn;
import com.ruoyi.common.importExcel.annotation.ExcelSheetInfo;
import com.ruoyi.common.importExcel.excel.helper.BasicExcelHelper;
import lombok.Data;

@Data
@ExcelSheetInfo()
public class PriceFormOptionInfoHelper extends BasicExcelHelper {
    @ExcelSheetColumn(index = 0, colName = "加价项目名称", maxLength = 100, notBlank = false, unique = true)
    private String markupName;
    @ExcelSheetColumn(index = 1, colName = "选配关联参数", maxLength = 100, notBlank = false)
    private String paraCode;

    @ExcelSheetColumn(index = 2, colName = "其他关联参数1", maxLength = 100, notBlank = false)
    private String relatedParaCode1;
    @ExcelSheetColumn(index = 3, colName = "其他关联参数2", maxLength = 100, notBlank = false)
    private String relatedParaCode2;
    @ExcelSheetColumn(index = 4, colName = "其他关联参数3", maxLength = 100, notBlank = false)
    private String relatedParaCode3;
    @ExcelSheetColumn(index = 5, colName = "其他关联参数4", maxLength = 100, notBlank = false)
    private String relatedParaCode4;
    @ExcelSheetColumn(index = 6, colName = "其他关联参数5", maxLength = 100, notBlank = false)
    private String relatedParaCode5;
    @ExcelSheetColumn(index = 7, colName = "其他关联参数6", maxLength = 100, notBlank = false)
    private String relatedParaCode6;
    @ExcelSheetColumn(index = 8, colName = "其他关联参数7", maxLength = 100, notBlank = false)
    private String relatedParaCode7;
    @ExcelSheetColumn(index = 9, colName = "其他关联参数8", maxLength = 100, notBlank = false)
    private String relatedParaCode8;
    @ExcelSheetColumn(index = 10, colName = "其他关联参数9", maxLength = 100, notBlank = false)
    private String relatedParaCode9;
    @ExcelSheetColumn(index = 11, colName = "其他关联参数10", maxLength = 100, notBlank = false)
    private String relatedParaCode10;

    @ExcelSheetColumn(index = 12, colName = "数量类型", maxLength = 10, notBlank = false)
    private String quantityType;
    @ExcelSheetColumn(index = 13, colName = "数量", maxLength = 5000, notBlank = false)
    private String quantity;
    @ExcelSheetColumn(index = 14, colName = "单位", maxLength = 60, notBlank = false)
    private String quantityUnit;
    @ExcelSheetColumn(index = 15, colName = "价格类型", maxLength = 10, notBlank = false)
    private String priceType;
    @ExcelSheetColumn(index = 16, colName = "价格", maxLength = 5000, notBlank = false)
    private String price;
    @ExcelSheetColumn(index = 17, colName = "状态", maxLength = 10, notBlank = false)
    private String status;
    @ExcelSheetColumn(index = 18, colName = "备注", maxLength = 500, notBlank = false)
    private String remark;


}
