package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("tp_common_param")
public class TpCommonParam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 参数编码
     */
    @Excel(name = "参数编码")
    private String paramCode;

    /**
     * 参数名称（包括单位）
     */
    @Excel(name = "参数名称", readConverterExp = "包=括单位")
    private String paramName;

    /**
     * 参数名称（英）
     */
    @Excel(name = "参数名称", readConverterExp = "英=")
    private String paraNameus;

    /**
     * 参数名称（俄）
     */
    @Excel(name = "参数名称", readConverterExp = "俄=")
    private String paraNameru;

    /**
     * 参数名称（英）
     */
    @Excel(name = "参数名称", readConverterExp = "英=")
    private String paraNamees;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;
}
