package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 【请填写功能名称】对象 tq_salesperson_set_price
 *
 * @author ruoyi
 * @date 2024-05-21
 */
@Data
public class TqSalespersonSetPrice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 议价ID
     */
    @Excel(name = "议价ID")
    private Long bargainId;

    /**
     * 规格ID
     */
    @Excel(name = "规格ID")
    private Long specificationId;

    /**
     * 基础价格
     */
    @Excel(name = "基础价格")
    private BigDecimal basicPrice;

    /**
     * 选配价格
     */
    @Excel(name = "选配价格")
    private BigDecimal optionalPrice;

    /**
     * 折率
     */
    @Excel(name = "折率")
    private BigDecimal discountRate;

    /**
     * 折后基础价格
     */
    @Excel(name = "折后基础价格")
    private BigDecimal discountbasicPrice;

    /**
     * 折后价格
     */
    @Excel(name = "折后价格")
    private BigDecimal discountPrice;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

}
