package com.ruoyi.project.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 合同电梯生产令号序列号字段维护对象 tq_contract_lift_sn
 * 
 * @author ruoyi
 * @date 2024-09-02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TqContractLiftSnDto
{
    /** 序列号 */
    private String sn;

    /** 序列号录入日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date[] snEnterTime;

}
