package com.ruoyi.project.business.domain.dto;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.project.business.domain.train.TtTrain;
import com.ruoyi.project.business.domain.train.TtQuestionDatabase;
import com.ruoyi.project.business.domain.train.TtTestPaper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;


/**
 * 【请填写功能名称】对象 tt_train
 * 
 * @author ruoyi
 * @date 2024-06-18
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TtTrainDto extends TtTrain
{
    /** 培训对象UserID */
    @Excel(name = "培训对象UserID")
    private Long[] userIdList;

    /** 资料ID */
    @Excel(name = "资料ID")
    private Long[] fileIdList;

    /** 试卷名称*/
    private String testPaperName;

    /** 通过分数*/
    private BigDecimal passScore;

    /** 考核说明*/
    private String testRemark;

    /** 试题列表id*/
    private  List<TtQuestionDatabase> questionList;
}
