package com.ruoyi.project.business.domain.flow;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 流程数据权限表(用于列表数据筛选，处理审批过程中的用户权限关系，审批通过后删除)
 * </p>
 *
 * @author CAC
 * @since 2023-10-18
 */
@Getter
@Setter
@TableName("flow_user_perm")
public class FlowUserPerm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流程类型
     */
    private Integer auditFlow;

    /**
     * 业务数据id
     */
    private Integer businessId;

    /**
     * 可见用户id
     */
    private Long permUserId;
}
