package com.ruoyi.project.business.domain.vo.board;

import lombok.Data;

import java.util.List;

/**
 * @Author renzx
 * @Date 2024/8/27
 * @Description 代理商成单率和丢单率统计 报表
 * 查询参数实体类
 **/
@Data
public class AgentProjectStatistics {
    /** 区域ID */
    private List<Long> areaId;
    /** 国家ID */
    private List<Long> countryId;
    /** 客户所有代理商 */
    private List<Long> ownerAgent;
    /** 城市 */
    private String city;
    /** 所属客户 */
    private String accountName;
    /** 年份 */
    private String yearParam;
    private String language;
    // 带逗号
    private String permissionChar;
    // 不带逗号
    private String permission;
    private Long loginUserId;
    private boolean showColumn;
}
