package com.ruoyi.project.business.domain.vo.quotation;

import java.util.List;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class EleCategoryVO {

    /**
     * 参数大类（00：基本参数 01：井道参数 02：轿厢参数 03：门机参数 04：选配参数 05：装潢参数 06：楼层参数）
     */
    private String paraCategory;

    private Long dictSort;

    private String label;

    private String labelUS;

    private String labelES;

    private String labelRU;

    /**
     * 参数包（非装潢包）
     */
    private Boolean isShow;


    /**
     * 参数包（装潢包）(前端选择装潢包时控制)
     */
    private Boolean enabled;

    private List<EleParamVO> paramList;


}
