package com.ruoyi.project.business.service.quotation;

import java.text.DecimalFormat;

public interface IQuotationConstantService {

    // 模板文件
    String QUOTATION_FTL = "报价模板.ftl";

    // 报价编号
    String QUOTATION_NO = "quotation_no";

    // 电梯规格单价
    String UNIT_PRICE = "unit_price";

    // 电梯规格数量
    String QTY = "qty";

    // 电梯规格总价价
    String T_PRICE = "t_price";

    // 运费
    String FREIGHT_PRICE = "freight_price";

    // 总价(包含运费)
    String PRICE_TOTAL = "total_price";

    // 目的地的
    String DESTINATION = "destination";

    // 集装箱信息
    String CONTAINER = "container";

    // 币种汇率
    String CURRENCY = "currency";

    // 日期
    String DATE = "date";

    // 项目名
    String PROJECT = "project";

    // 交付地址
    String ADDRESS = "address";

    // 客户
    String CLIENT = "client";

    // 客户
    String EMAIL = "email";

    // 顾问
    String DISCOUNT = "discount";

    String MM_DD_YYYY = "MM.dd.yyyy";

    String COMMA = ",";

    String TILDE = "~";

    DecimalFormat format = new DecimalFormat("#,###");

    DecimalFormat format2 = new DecimalFormat("#,###.##");

    String SPECIFICATION = "specification";

    String PRODUCT_TYPE = "product_type";

    String STAND = "stand";

    String LOAD = "load";

    String P = "p";

    String SPEED = "speed";

    String FLOORS = "floors";

    String STOPS = "stops";

    String DOORS = "doors";

    String MAIN_FLOOR = "main_floor";

    String CABIN = "cabin";

    String DOOR = "door";

    String SHAFT = "shaft";

    String PIT = "pit";

    String OH = "oh";

    String TR = "tr";

}
