package com.ruoyi.project.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: zhaoby
 * @date: 2023-11-29 9:21:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MessageVo {
    /**
     * 客户端id
     */
    private String clientId;
    /**
     * 传输数据体(json)
     */
    private Object data;
    /**
     * 模块类型
     */
    private String modelType;
    /**
     * 未读消息总数
     */
    private Long totalQty;
    /**
     * 弹出标记
     */
    private boolean popUp;
}