﻿module.exports = {
  common: {
    search:"Поиск",
    reset:"Сброс",
    launch:"Развернуть",
    retract:"Свернуть",
    operate:"Операция",
    add:"Добавить",
    edit:"Редактировать",
    delete:"Удалить",
    view:"Просмотр",
    export:"Скачать",
    close:"Закрыть",
    cancel:"Отменить",
    confirm:"Подтвердить",
    createTime:"Время создания",
    remark:"Примечание",
    isDelete:"Подтверждаете удаление?",
    deleteSuccess:"Успешно удалено",
    addSuccess:"Успешно добавлено",
    editSuccess:"Успешно отредактировано",
    pleaseInput:"Введите ",
    pleaseSelect:"Выберите ",
    dateRangeStart:"Дата начала",
    monthRangeStart:"Начальный месяц",
    dateRangeEnd:"Дата окончания",
    monthRangeEnd:"Месяц окончания",
    enabled:"Включить",
    disabled:"Отключить",
    annex:"Приложение",
    date:"Дата",
    onlyNumber:"Только цифры",
    pleaseCorrect:"Пожалуйста, введите правильно",
    startYear:"Год начала",
    endYear:"Год окончания",
    startMonth:"Начальный месяц",
    endMonth:"Месяц окончания",
    startDay:"Дата начала",
    endDay:"Дата окончания",
    atLeast:"Не менее",
    digits:"Число цифр",
    import:"Импорт",
    more:"Больше",
    contactPerson:"Контактное лицо",
    contact:"Контактная информация",
    createBy:"Создатель",
    uploadFile:"Загрузить приложение",
    addRow:"Добавить строку",
    version:"Номер версии",
    updateBy:"Имя обновившего",
    yes:"Да",
    no:"Нет",
    enableSuccess:"Включено",
    deactivatSuccess:"Отключено",
    enableConfirmMsg:"Подтвердить включение параметра?",
    deactivatConfirmMsg:"Подтвердить отключение параметра?",
    none:"Пока нет",
    errorMsg:"Неизвестная ошибка системы. Пожалуйста, попробуйте позже",
    select:"Выбор",
    maxLength100:"Введите значение не превышабщее 100",
    requiredMsg:"Не может быть пустым",
    operateSuccess:"Операция выполнена успешно",
    updateSuccess:"Успешно изменено",
    tips:"Подсказка",
    head:"Главный офис",
    noSpace:"В конце и начале нельзя вводить пробелы.",
    back:"Возвращение",
    notEmpty:"Не может быть пустым",
    errfort:"Неверный формат",
    pleaseInputHasPara:"Пожалуйста, введите {0}",
    pleaseSelectHasPara:"Пожалуйста, выберите {0}",
    notInputAlertMessage:"{0} не может быть пустым",
    errorFormatMessage:"Неправильный формат {0}",
    notExceedMessage:"Размер не должен превышать",
    formatType:"Формат",
    fileUploadAlert:"Неправильный формат файла, пожалуйста, загрузите файл формата {0}!",
    fileSizeAlert:"Размер загружаемого изображения не должен превышать {0} МБ!",
    fileUploadingWaitAlert:"Загрузка фотографий, пожалуйста, подождите...",
    fileCountAlert:"Количество загружаемых файлов не должно превышать {0}!",
    fileUploadFailAlert:"Ошибка загрузки изображения, пожалуйста, попробуйте снова",
    priview:"Предварительный просмотр",
    noDataEmptyText:"Нет данных",
    areaManage:"Управление регионом",
    countryManage:"Управление страной",
    ruleCannotBe0:"Не может быть равным 0",
    cannotBeGreaterThan:"Не может быть больше",
    cannotBeLessThan:"Не может быть меньше",
    status:"Состояние",
    systemTip:"Системные подсказки",
    logoutConfirm:"Выйти из системы и выйти?",
    submitter:"Отправитель",
    submitTime:"Время подачи",
    addNew:"Добавить",
    updateTime:"Время обновления",
    cannotBeGe:"Не может быть больше или равно",
    cannotBeLe:"Не может быть меньше или равно",
    noResultsText:"Результатов не найдено",
    language:"Язык",
    bulkEnable:"Пакетное включение",
    bulkDisable:"Пакетное отключение",
    batchDelete:"Пакетное удаление",
    batchToggleStatus:"Отключение пакетной обработки",
    keepAtLeastOne:"Держите хотя бы один",
    expandMore:"Развернуть больше",
    total:"Общий",
    download:"Скачать",
    processingData:"Данные обрабатываются, пожалуйста, не отправляйте повторно",
    sessionExpired:"Срок действия сессии истек. Вы можете остаться на этой странице или войти снова",
    invalidSession:"Недействительная сессия или срок ее действия истек. Пожалуйста, войдите снова.",
    backendConnectionError:"Ошибка подключения к бэкенду",
    apiTimeout:"Превышено время ожидания запроса к системному интерфейсу",
    apiErrorTemplate:"Ошибка системного интерфейса {0}",
    downloadFailed:"Не удалось загрузить файл",
    downloadError:"При загрузке файла произошла ошибка. Пожалуйста, обратитесь к администратору!",
    reLogin:"Войти снова",
    batchEnableStatus:"批量启用_RU",
    batchDisableStatus:"批量禁用_RU",
    copy:"Копировать",
  },
  nation: {
    countryId:"Номер страны",
    countryName:"Название страны",
    addNation:"Добавить информацию страны",
    editNation:"Редактировать информацию страны",
    discount:"Скидка",
    countryNameUS:"Название страны (на английском)",
    countryNameRU:"Название страны (на русском)",
    countryNameES:"Название страны (на испанском)",
  },
  area: {
    areaName:"Название региона",
    areaLevel:"Уровень региона",
    parentArea:"Вышестоящий регион",
    addArea:"Добавить регион",
    editArea:"Редактировать регион",
    containNation:"Включает страны",
    areaNameUS:"Название региона (на английском)",
    areaNameRU:"Название региона (на русском)",
    areaNameES:"Название района (на испанском)",
  },
  project: {
    projectName:"Название проекта",
    type:"Тип проекта",
    projectPeriod:"Цикл проекта",
    status:"Статус проекта",
    addProject:"Добавить проект",
    editProject:"Редактировать проект",
    projectNo:"Номер проекта",
    relationQuote:"Номер соответствующего предложения",
    quoteVersion:"Версия предложения",
    relationContract:"Номер соответствующего контракта",
    isModel:"Эталонный проект",
    projectSegments:"Сегменты рынка проекта",
    countryId:"Страна",
    city:"Город",
    developer:"Разработчик",
    startTime:"Начало проекта",
    endTime:"Окончание проекта",
    contactPerson:"Контактное лицо",
    contact:"Контактная информация",
    setModel:"Установить в качестве образца",
    follow:"Отслеживать",
    delayLost:"Отсрочка/ потеря заказа",
    intoOrder:"Заказ выполнен",
    relationCustomers:"Связанный клиент",
    relationClue:"Связанные рекомендации",
    area:"Регион",
    currency:"Валюта",
    no:"Номер проекта",
    name:"Название проекта",
    type:"Тип проекта",
    view:"Просмотреть проект",
    period:"Цикл проекта",
    delay:"Отсрочка",
    lost:"Потеря заказа",
    reasonType:"Классификация причин",
    reason:"Причина",
    confirmSetModel:"Подтвердите установку проекта как образцового проекта?",
    approve:"Одобрить",
    approveStatus:"Статус рассмотрения",
    pass:"Одобрено",
    notPass:"Не одобрено",
    refuseReason:"Причина отклонения",
    delayRemark:"Замечания по задержке",
    loseRemark:"Размер не должен превышать",
    cancelModel:"Установить как нестандарт",
    confirmCancelModel:"Подтверждаете ли вы, что проект не является эталонным?",
    changeOwner:"Изменить ответственного",
    completionYear:"Срок завершения проекта",
    relatedCustomer:"Связанный клиент",
    address:"Адрес проекта",
    keyContactPerson:"Ключевое лицо, принимающее решение",
    keyJobTitle:"Должность ключевого лица, принимающего решения",
    keyContact:"Номер телефона ключевого лица, принимающего решения",
    keyEmail:"Адреса электронной почты ключевого лица, принимающего решения",
    jobTitle:"Должность",
    solution:"Solution",
    specialRemark:"Особые потребности",
    beginYear:"Год первого сотрудничества",
    progress:"Прогресс проекта",
    progressUpdateConfirm:"Вы уверены, что хотите изменить ход проекта?",
    equipmentType:"Тип оборудования",
    equipmentQuantity:"Количество оборудования",
    amount:"Сумма",
    equipmentSpecifications:"Технические характеристики оборудования",
    priceTotal:"Общая стоимость",
    deviceTotal:"Общее количество устройств",
    elevatorModel:"Тпи лифтов",
    standard:"Спецификация",
    expectedInstallStartDate:"Ожидаемая дата начала установки",
    competitor:"Конкуренты",
    modifyRemark:"Изменить примечание",
    modifyRemarkNote:"Пожалуйста, введите изменения",
    modifyRemarkNotEmpty:"Изменить информацию о заметке не может быть пустой",
    delayLoseRemark:"Отложенные / пропущенные записи",
  },
  agent: {
    agentNo:"Номер дистрибьютора",
    agentName:"Название дистрибьютора",
    area:"Подчиненный регион",
    type:"Тип",
    agentLevel:"Уровень дистрибьютора",
    status:"Состояние",
    createTime:"Время создания",
    setExamicountry:"Настройка оценки",
    parentAgent:"Вышестоящий дистрибьютор",
    parentSaler:"Вышестоящая продажа",
    discountRate:"Скидка",
    discountRate1:"Скидка (%)",
    phone:"Контактная информация",
    thisYearExamine:"Оценка за текущий год",
    targetMoney:"Целевой объем продаж",
    targetCount:"Целевое количество.",
    targetProject:"Целевое количество эталонных проектов",
    addAgent:"Добавить дистрибьютора",
    editAgent:"Редактировать агента",
    country:"Страна",
    head:"Ответственное лицо",
    editTarget:"Настройка оценки",
    targetYear:"Оценочный год.",
    agentNameRule:"Название агента не может быть пустым",
    areaRule:"Подчиненный регион не может быть пустым",
    typeRule:"Тип не может быть пустым",
    parentSalerRule:"Вышестоящий продавец не может быть пустым",
    parentAgentRule:"Вышестоящий агент не может быть пустым",
    agentLevelRule:"Уровень агента не может быть пустым",
    countryRule:"Страна не может быть пустой",
    headRule:"Ответственное лицо не может быть пустым",
    phoneRule:"Контактная информация не может быть пустой",
    mailRule:"E-mail не может быть пустым",
    addressRule:"Адрес не может быть пустым",
    discountRateRule:"Скидка не может быть пустой",
    agentNoPh:"Введите номер агента",
    agentNamePh:"Введите название агента",
    areaPh:"Выберите подчиненный регион",
    typePh:"Выберите тип",
    parentSalerPh:"Выберите вышестоящую продажу",
    parentAgentPh:"Выберите вышестоящего агента",
    agentLevelPh:"Выберите уровень агента",
    countryPh:"Выберите страну",
    headPh:"Укажите ответственное лицо",
    phonePh:"Введите контактную информацию",
    mailPh:"Введите e-mail",
    addressPh:"Введите адрес",
    discountRatePh:"Введите коэффициент скидки",
    notePh:"Добавьте примечание",
    statusPh:"Выберите статус",
    targetYearPh:"Введите год оценки",
    targetCountPh:"Укажите целевое количество единиц",
    targetMoneyPh:"Укажите целевой объем продаж",
    targetProjectPh:"Укажите целевое количество эталонных проектов",
    agent:"Агенты",
    discountRange:"Только в диапазоне от 0 до 100",
    adder:"Адрес",
    email:"E-mail",
    agentNameUS:"Название дистрибьютора (на английском)",
    agentNameRU:"Название дистрибьютора (на русском)",
    agentNameES:"Название дистрибьютора (на испанском)",
    exportName:"Экспорт агента",
    headquarters:"Главный офис",
    exportFielName:"Управление дистрибьюторами",
    assess:"Оценка агентов",
    targetProjectCount:"Целевое количество эталонных проектов",
    targetElevatorCount:"Целевое количество.",
    hasContract:"Заключен ли договор",
    protocolStartDate:"Дата вступления соглашения в силу",
    protocolEndDate:"Дата окончания срока  соглашения",
    authorizedArea:"Разрешенная зона",
    changeTime:"Изменить время",
    modifier:"Изменитель",
    agentResume:"Биография агента",
  },
  follow: {
    followType:"Категория записи",
    followTime:"Дата отслеживания",
    relatedLead:"Связанные рекомендации",
    relatedAccount:"Связанный клиент",
    relatedProject:"Связанные проекты",
    contactPerson:"Контактное лицо",
    contact:"Контактная информация",
    followWay:"Способ отслеживания",
    followDesc:"Содержание и результат отслеживания",
    followAttach:"Приложение",
    followRelated:"Связанный лид/клиент/проект",
    followPerson:"Объект отслеживания",
    followNo:"Номер записи",
    viewFollowRecord:"Просмотреть записи отслеживания",
    addFollowRecord:"Добавить запись отслеживания",
    editFollowRecord:"Редактировать записи отслеживания",
    no:"Номер записи",
    time:"Дата отслеживания",
    deleted:"Эта последующая запись была удалена, пожалуйста, подтвердите!",
    follow:"Записи отслеживания",
    follower:"Отслеживающее лицо",
    fastTrack:"Быстрое наблюдение",
    country:"Страна",
  },
  dicData: {
    dictCode:"Код словаря",
    dictName:"Название словаря",
    dictLabel:"Этикетка словаря",
    dictLabelUS:"Этикетка словаря (на английском)",
    dictLabelRU:"Этикетка словаря (на русском)",
    dictLabelES:"Этикетка словаря (на испанском)",
    dictValue:"Значение ключа словаря",
    dictSort:"Сортировка словаря",
    status:"Состояние",
    placeholder_dictLabel:"Введите навазвание этикетки словаря",
    placeholder_dataLabel:"Введите навазвание этикетки данных",
    placeholder_dataLabelUS:"Введите название этикетки данных (на английском)",
    placeholder_dataLabelRU:"Введите название этикетки данных (на русском)",
    placeholder_dataLabelES:"Введите название этикетки данных (на испанском)",
    placeholder_dataValue:"Введите значение ключа данных",
    placeholder_cssClass:"Установите параметры стиля",
    cssClass:"Параметры стиля",
    listClass:"Команда эхо",
    displaySort:"Порядок отображения",
    rules_dictLabel_message:"Этикетка данных не может быть пустой",
    rules_dictLabelUS_message:"Этикетка данных (на английском) не может быть пустой",
    rules_dictLabelRU_message:"Этикетка данных (на русском) не может быть пустой",
    rules_dictLabelES_message:"Этикетка данных (на испанском) не может быть пустой",
    rules_dictValue_message:"Значение ключа данных не может быть пустым",
    rules_dictSort_message:"Порядок данных не может быть пустым",
    viewDicdata:"Посмотреть данные словаря",
    addDicdata:"Добавить данные словаря",
    editDicdata:"Редактировать данные словаря",
  },
  dicType: {
    startDate:"Дата начала",
    endDate:"Дата окончания",
    dictId:"Номер словаря",
    dictName:"Название словаря",
    dictNameUS:"Название словаря (на английском)",
    dictNameRU:"Название словаря (на русском)",
    dictNameES:"Название словаря (на испанском)",
    dictType:"Тип словаря",
    status:"Состояние",
    rules_dictName_message:"Название словаря не может быть пустым",
    rules_dictNameUS_message:"Название словаря (на английском) не может быть пустым",
    rules_dictNameRU_message:"Название словаря (на русском) не может быть пустым",
    rules_dictNameES_message:"Название словаря (на испанском) не может быть пустым",
    rules_dictType_message:"Тип словаря не может быть пустым",
    dicDataTitle:"Данные словаря",
  },
  user: {
    newUser:"Добавить пользователя",
    account:"Имя пользователя",
    nick:"Логин пользователя",
    role:"Роль",
    agent:"Агент",
    country:"Страна",
    area:"Регион",
    email:"E-mail",
    phoneNo:"Контактная информация",
    passwd:"Пароль",
    sex:"Пол",
    remark:"Примечание",
    status:"Состояние",
    resetPasswd:"Сброс пароля",
    placeholder_nick:"Введите логин пользователя",
    placeholder_agent:"Выберите подведомственного агента",
    placeholder_phone:"Введите контактную информацию",
    placeholder_email:"Введите e-mail",
    placeholder_username:"Введите имя пользователя",
    placeholder_passwd:"Введите пароль",
    placeholder_sex:"Выберите пол",
    placeholder_status:"Выберите статус",
    placeholder_role:"Выберите роль",
    placeholder_country:"Введите страну",
    placeholder_area:"Введите регион",
    placeholder_remark:"Добавьте примечание",
    placeholder_correctEmail:"Введите правильный адрес почтового ящика (e-mail)",
    placeholder_correctPhone:"Введите правильный номер телефона",
    rule_nick:"Логин пользователя не может быть пустым",
    rule_username:"Имя пользователя не может быть пустым",
    rule_passwd:"Пароль пользователя не может быть пустым",
    rule_uname_len_2_20:"Имя пользователя должно быть от 2 до 20 знаков",
    rule_passwd_len_5_20:"Пароль должен быть от 5 до 20 знаков",
    rule_passwd_illegal_char:"Не может содержать недопустимые символы",
    rule_agent:"Агент не может быть пустым",
    rule_email:"E-mail не может быть пустым",
    rule_phone:"Номер мобильного телефона не может быть пустым",
    rule_status:"Статус не может быть пустым",
    rule_role:"Роль не может быть пустой",
    rule_country:"Страна не может быть пустой",
    rule_area:"Регион не может быть пустым",
  },
  account: {
    accountNo:"Номер клиента",
    accountName:"Название компании/клиента",
    address:"Адрес компании",
    country:"Страна",
    sector:"Отрасль",
    registeredCapital:"Уставный капитал",
    startTime:"Дата создания",
    accountDesc:"Информация о компании",
    phone:"Контактная информация",
    email:"E-mail",
    level:"Уровень клиента",
    type:"Тип клиента",
    status:"Состояние",
    orderStatus:"Статус заказа",
    area:"Регион",
    add:"Добавить клиента",
    view:"Просмотр клиентов",
    baseInfo:"Основная информация о клиенте",
    group:"Подчиненная группа",
    origin:"Источник клиентов",
    file:"Приложение",
    addContact:"Добавить контактное лицо",
    addLine:"Добавить контактное лицо",
    deleteLine:"Удалить контактное лицо",
    edit:"Редактировать клиента",
    lead:"Связанные рекомендации",
    project:"Связанные проекты",
    follow:"Записи отслеживания",
    merge:"Объединить клиентов",
    mergeNumberMsg:"Выберите не менее двух клиентов",
    mergeRequiredMsg:"Клиент не может быть пустым",
    mergeDuplicateMsg:"Выбранные клиенты повторяются",
    account:"Заказчик",
    history:"Обновить резюме",
    viewHistory:"Просмотреть резюме",
    viewHistoryInfo:"Посмотреть информацию о резюме",
    setMain:"Установить в качестве основного клиента",
    isMain:"Является ли основным клиентом",
    ExcelTemplate:"Шаблон импорта информации о клиенте",
    contact:"Контактное лицо",
    owner:"Владелец клиента",
    pleaseSetMain:"Выберите клиента и установите его в качестве основного клиента",
    contactRequired:"Имя контактного лица должно быть заполнено, контактная информация / почтовый ящик 2 Выберите 1",
    companyType:"Тип компании",
    followDesc:"Последний результат отслеживания",
    followTime:"Последнее время отслеживания",
    followPerson:"Отслеживающее лицо",
    intentionalProduct:"Цель продукта",
    planDealMonth:"Дата принятия решения клиентом",
    unmerge:"Разъединить",
    existSameContact:"Есть такая же контактная информация",
    contactExistsConfirmation:"Контакт [{0}] уже существует в контактах других клиентов [{1}]. Хотите подтвердить отправку?",
  },
  lead: {
    no:"Номер рекомендаций",
    area:"Регион",
    company:"Название компании",
    leadNo:"Номер рекомендаций",
    relativeAccount:"Номер причастного клиента",
    area:"Регион",
    company:"Название компании",
    origin:"Источник",
    contact:"Контактная информация",
    address:"Адрес",
    sector:"Отрасль",
    requirement:"Описание требований",
    priority:"Уровень приоритета",
    status:"Статус рекомендации",
    agent:"Принадлежащий агент",
    owner:"Ответственное лицо",
    createBy:"Создатель",
    addLead:"Добавление новых лидов",
    bulkAllocate:"Массовое распределение",
    excelImport:"Импорт EXCEL",
    export:"Скачать",
    allocate:"Распределить",
    recycle:"Восстановить",
    followUp:"Отслеживать",
    convertCust:"Преобразование клиентов",
    leadCustomerType:"Тип клиента",
    contactPerson:"Контактное лицо",
    lead:"Рекомендации",
    detail:"Подробнее о рекомендации",
    baseInfo:"Основная информация",
    followRecord:"Записи отслеживания",
    history:"Резюме",
    time:"Время рекомендаций",
    followDetail:"Подробности слежения",
    recoveryReason:"Причина восстановления",
    recoveryType:"Классификация причин",
    recycleLead:"Рекомендация к утилизации",
    noAllowed:"Распределение не допускается",
    converted:"Следы преобразовали клиента!",
    cannotConvert:"Следы не меняют клиента.",
    noAnnexYet:"Нет вложений",
    leadDetail:"Детали подсказки.",
    allocateSuccess:"Распределение успешно",
    recycleSuccess:"Рекуперация успешно",
    exportName:"Экспорт лидов",
    email:"E-mail",
    contactOrEmailRequired:"Введите хотя бы один контакт и почтовый ящик",
    exportFileName:"Управление рекомендациями",
    convertProject:"Преобразовать проект",
    select:"Выбрать лид",
    selected:"Выбранные лиды",
    country:"Страна",
    companyType:"Тип компании",
    requirements:"Тип требования",
    lastestFollowUp:"Последний результат отслеживания",
    followUpTime:"Последнее время отслеживания",
    follower:"Отслеживающее лицо",
    intentionalProduct:"Цель продукта",
    segment:"Тип проекта",
    group:"Принадлежать к группе",
    background:"История компании",
    inquiryInformation:"Информация запросов",
    lostRemarks:"Замечания о причине утраты",
    relatedLeadsId:"Идентификатор связанного лида",
    relatedProjectId:"Идентификатор связанного проекта",
    quotationId:"Идентификатор связанного  предложения",
    position:"Должность",
    customerName:"Имя Клиента",
    invalidReason:"Причина неудачи",
    convertCustType:"Тип клиента",
    convertExistCust:"Существующие клиенты",
    convertNewCustomer:"Новый клиент",
    convertCustTitle:"Преобразование клиентов",
    silentOrInvalid:"Тихий/недействительный",
  },
  contact: {
    name:"Имя контактного лица",
    phone:"Контактная информация",
    address:"Адрес контактного лица",
    email:"E-mail",
    job:"Должность",
    birthday:"День рождения",
    horoscope:"Знак зодиака",
    maritalStatus:"Семейное положение",
    hobbies:"Увлечения и хобби",
  },
  paraLibrary: {
    paraCode:"Код параметра",
    paraName:"Название параметра",
    paraNameUS:"Название параметра (на английском)",
    paraNameRU:"Название параметра (на русском)",
    paraNameES:"Название параметра (на испанском)",
    paraCategory:"Категории параметров",
    inputType:"Метод ввода",
    sortNumber:"Сортировка параметров",
    elevatorType:"Тип лифта",
    status:"Состояние",
    addParameter:"Добавить параметр",
    editParameter:"Редактировать параметр",
    paraSelectItems:"Опция параметра",
    isQuotation:"Ли параметры предложения",
    isCivil:"Ли параметры гражданского строительства",
    isCalc:"Нужно ли рассчитывать параметры",
  },
  selectItem: {
    paraId:"Идентификатор параметра",
    paraName:"Название параметра",
    value:"Значение опции",
    label:"Название опции",
    labelUS:"Название опции (на английском)",
    labelRU:"Название опции (на русском)",
    labelES:"Название опции (на испанском)",
    addItem:"Добавить опции",
    editItem:"Редактирование лидов",
    sortNumber:"Сортировка опций",
    prarSource:"Изображений опции",
    paraCode:"Кодировка опции",
    picView:"Предварительный просмотр изображения",
  },
  index: {
    welcome:"Добро пожаловать в KOYO",
    navigation:"Навигация",
    dataBoard:"Доска данных",
    todoItems:"Список дел",
    unreadMessages:"Непрочитанные сообщения",
    pieChart:"A pie chart about xx statistics_RU",
    pieChartExplanation:"This is a supplementary explanation for the pie chart_RU",
    lineChart:"Line chart about xx statistics xx statistics_RU",
    guideOne:"Управление клиентами",
    guideTwo:"Управление рекомендациями",
    guideThree:"Управление слежением",
    guideFour:"Управление проектами",
    guideFive:"Не может быть больше",
    guideSix:"Управление контрактами",
    guideSeven:"Пирамидальные параметры",
    messageCenter:"Центр сообщений",
    more:"Больше",
    quotationMessage:"Не может быть равным 0",
    commingMessage:"Функция приближается, с нетерпением ждем",
    todo:"Список дел",
  },
  personal: {
    info:"Личная информация",
    userName:"Имя пользователя",
    telphone:"Номер мобильного телефона",
    userEmail:"E-mail пользователя",
    dept:"Подведомственные отделы",
    role:"Подчиненные роли",
    createDate:"Дата создания",
    timeZone:"Часовой пояс",
    basicInfo:"Основная информация",
    changePwd:"Изменить пароль",
    nickName:"Логин пользователя",
    email:"E-mail",
    sex:"Пол",
    save:"Сохранить",
    nickNameValidate:"Логин пользователя не может быть пустым",
    emailRequireValidate:"Адрес почтового ящика не может быть пустым",
    emailCorretValidate:"Введите правильный адрес почтового ящика (e-mail)",
    telphoneRequireValidate:"Номер мобильного телефона не может быть пустым",
    telphoneCorretValidate:"Введите правильный номер телефона",
    modifySuccess:"Успешно изменено",
    oldPwd:"Старый пароль",
    enterOldPwd:"Введите старый пароль",
    newPwd:"Новый пароль",
    enterNewPwd:"Введите новый пароль",
    confirmPwd:"Подтвердить пароль",
    pleaseConfirmPwd:"Подтвердите новый пароль",
    pwdNoMatch:"Пароли, введенные дважды, не совпадают",
    oldPwdRequiredValidate:"Старый пароль не может быть пустым",
    newPwdRequiredValidate:"Новый пароль не может быть пустым",
    lengthValidate:"Длина от 6 до 20 символов",
    charValidate:"Не может содержать недопустимые символы",
    confirmPwdRequiredValidate:"Убедитесь, что строка пароля не пуста",
    male:"Мужщина",
    female:"Женщина",
  },
  audit: {
    promoter:"Инициатор",
    allUser:"Все",
    draft:"Черновик",
    uploading:"Загружается",
    reject:"Отклонено",
    rollback:"Отозвано",
    auditorOne:"Проверка первого уровня",
    auditorTwo:"Проверка второго уровня",
    pass:"Одобрено",
    userAudit:"Назначьте пользователя для рассмотрения",
    flowEnd:"Процесс завершен",
    saveAndSubmit:"Сохранить и отправить",
    nodeName:"Имя узла",
    auditorType:"Тип утверждающего лица",
    user:"Пользователь",
    confirm:"Подтвердить",
  },
  dropMenu: {
    center:"Личный кабинет",
    layoutSetting:"Настройка конфигурации",
    logout:"Выход из системы",
  },
  layoutSetting: {
    themeStyle:"Настройка стиля темы",
    themeColor:"Цвет темы",
    layout:"Настройки системы и конфигурации",
    open:"Включение",
    fix:"Установка",
    show:"Дисплей",
    dynamicTitle:"Динамический заголовок",
  },
  board: {
    queryY:"Год запроса",
    queryM:"Месяц запроса",
    queryD:"Дата запроса",
    leadCountStat:"Статистика изменений числа рекомендаций",
    statType:"Тип",
    leadStatY:"Ежегодная статистика рекомендаций",
    leadStatM:"Ежемесячная статистика рекомендаций",
    leadStatD:"Ежедневная статистика рекомендаций",
    custCountStat:"Статистические данные по клиентам",
    custStatY:"Ежегодная статистика по клиентам",
    custStatM:"Ежемесячная статистика по клиентам",
    custStatD:"Ежедневная статистика по клиентам",
    year:"Годовые",
    month:"Месячные",
    day:"Дневные",
    lastWeek:"Последняя неделя",
    lastMonth:"Последний месяц",
    lastSixMonths:"Последние шесть месяцев",
    unfollowedList:"Список нереализованных проектов",
    lastFollowDate:"Последняя дата обновления",
    msgAccounDateRange:"Пожалуйста, выберите временной диапазон статистики количества клиентов",
    msgLeadDateRange:"Пожалуйста, выберите временной диапазон статистики количества лидов",
    leadCount:"Количество лидов",
    accountCount:"Количество клиентов",
  },
  menu: {
    custome:"Управление клиентами",
    clues:"Управление рекомендациями",
    project:"Управление проектами",
    audit:"Утверждение конфигурации",
    flow:"Управление слежением",
    civil:"Выпуск чертежей для строительных работ",
    train:"Оценка обучения",
    quotation:"Прайс",
  },
  elevatorModel: {
    areaName:"Регион",
    elevatorTypeName:"Тип лифта",
    elevatorModel:"Модель",
    status:"Состояние",
    remark:"Примечание",
    areaParam:"Выбор параметров",
    selectItem:"Параметры",
    paramStandard:"Параметры по умолчанию",
    priceLine:"Установить прайс-лист",
    paramSelect:"Выбор параметров",
    allParam:"Все параметры",
    isSelect:"Выбран",
    JJManage:"Управление базовыми ценами",
    XPManage:"Дополнительные элементы",
    XPParameter:"Опция параметров",
    optSet:"Настройки опций",
    standand:"Значение параметра по умолчанию",
  },
  validation: {
    ruleName:"Название правила",
    status:"Состояние",
    area:"Регион",
    relationElevator:"Связанные лифты",
    updateBy:"Изменено",
    updateTime:"Время изменения",
    createBy:"Создатель",
    createTime:"Время выпуска",
    relationElevatorNum:"Количество связанных типов лифтов",
    seeElevator:"Посмотреть связанные типы лифтов",
    basicParam:"Основные параметры",
    craneParam:"Параметры козлового крана",
    assortingParam:"Дополнительные параметры",
    decorationParam:"Параметры отделки",
    Logical:"Логическое расположение",
    formulaSetting:"Настройки формулы",
    variable:"Переменные",
    function:"Метод",
    testresult:"Результаты испытаний",
    test:"Испытание",
    relationView:"Просмотр связанных типов лифтов",
    addRule:"Добавить правило",
    suitModel:"Подходящая модель лифта",
    errorMsg:"Не удалось проверить формулу, проверьте настройки формулы",
    errorMutiplueSelect:"Не надо выбирать дважды",
    errorAtLeast:"Выберите хотя бы один из параментров",
    areaUS:"Регион (на английском)",
    areaRU:"Регион (на русском)",
    areaES:"Регион (на испанском)",
    NgMessage:"Информация о подсказке NG",
    NgMessageUS:"Информация о подсказке NG (на английском)",
    NgMessageRU:"Информация о подсказке NG (на русском)",
    NgMessageES:"Информация о подсказке NG (на испанском)",
    atLeastModel:"Укажите хотя бы один связанный тип лифта",
    detailRule:"Подробности правил",
    editRule:"Изменить правила",
    commonParameters:"Общие параметры",
    enbaleConfrim:"Подтверждается ли отключение этого правила проверки?",
    disabledConfirm:"Подтвердить включение правила проверки?",
    validateDeleteError:"Это правило проверки указано в предложении и не может быть удалено!",
  },
  home: {
    title:"Добро пожаловать в Глобальную систему управления",
    login:"Войти",
    rememberPassword:"Запомнить пароль",
    logining:"Вход в систему",
    account:"Строка аккаунт не может быть пустой",
    password:"Пароль не может быть пустым",
    placeholderNo:"Введите номер учетной записи",
    placeholderPas:"Введите пароль",
  },
  relatedCase: {
    menuName:"Управление взаимосвязью параметров",
    addMenu:"Дополнительные связи",
    editMenu:"Правка",
    viewMenu:"Посмотреть Соединение",
    caseName:"Примеры использования",
    content:"Содержание",
    relationship:"Логические операции",
    relatedCase:"Примеры использования",
    paramsProject:"Параметры",
    operation:"реляционная операция",
    relatedResult:"Результаты сцепления",
    addRow:"Добавить строку",
    deleteRow:"Удалить строку",
    value:"Значение",
    optionValue:"Параметры",
    editable:"Активные / неактивные",
    enbaleConfrim:"Подтверждается ли отключение этой связи?",
    disabledConfirm:"Подтверждается ли включение этой связи?",
    include:"Включение",
    noInclude:"Не содержит",
    atLeastCase:"Пожалуйста, заполните хотя бы одну ссылку.",
    atLeastResult:"Заполните хотя бы один результат.",
    logicCaseNoRepeat:"Параметры в случае соединения не могут быть повторены",
    actionNoRepeat:"Параметры в результатах соединения не повторяются",
    bothNoRepeat:"Примеры использования и параметры результата соединения",
    conditionContent:"Содержание условия",
    resultContent:"Содержание результата",
    computedFlag:"Стоит ли рассчитывать стоимость",
    displayFlag:"Скрывать ли",
    runType:"Режим работы",
    runIndex:"Порядок выполнения",
    validateDeleteError:"Этот вариант использования связи указан в предложении и не может быть удален!",
    emptyFlag:"Следует ли принудительно очистить",
  },
  quotation: {
    addQuotation:"Добавить предложение",
    copyVersion:"Копировать версию",
    quotationNo:"Номер предложения",
    suitModel:"Тпи лифтов",
    quoter:"Автор предложения",
    finalPrice:"Конечная цена",
    quotationStatus:"Статус предложения",
    submitTime:"Дата представления",
    additionalCost:"Дополнительные расходы",
    negotiatedPrice:"Договорная цена",
    addAdditionalCost:"Дополнительные расходы",
    delAdditionalCost:"Исключить дополнительные расходы",
    feeName:"Название расходов",
    amountRmb:"Сумма (в юанях)",
    convertedAmount:"Сумма после пересчета",
    count:"Количество",
    elevatorNo:"Номер лифта",
    specification:"Спецификация",
    elevatorView:"Вид лифта",
    addElevator:"Добавить лифт",
    saveDraft:"Сохранить черновик",
    version:"Версия",
    add:"Добавить предложение",
    edit:"Редактировать предложение",
    view:"Подробности предложения",
    detailInfo:"Подробная информация",
    reviewInfo:"Оценка информации",
    priceTotal:"Итого, цены",
    benchmarkPriceTotal:"Общая базовая цена",
    optionalPriceTotal:"Итого, выборочные надбавки",
    elevatorDetail:"Подробная информация о лифте",
    operateHistory:"Биография операций",
    operateContext:"Содержание операции",
    operator:"Оператор",
    operateTime:"Время работы",
    workPeriod:"Продолжительность работ",
    baseInfo:"Основная информация о предложении",
    price:"Цена",
    isStandard:"Стандартно ли?",
    techReview:"Техническая оценка",
    buyerInquiry:"Запрос цен от поставщиков",
    buyerQuotation:"Цены от поставщиков",
    buyerConfirm:"Подтверждение закупки",
    treasureInquiry:"Запрос цен от финансового отдела",
    treasureQuotation:"Финансовые предложения",
    treasureConfirm:"Подтверждение финансового отдела",
    showView:"Просмотреть предложение",
    bargainApproval:"Одобрение цены",
    bargainConfirm:"Подтверждение цены",
    reviewResultList:"Список результатов проверки",
    reviewProject:"Проверка проекта",
    relatedParamInfo:"Информация о связанных параметрах",
    systemReviewResult:"Результаты проверки системы",
    reason:"Причина",
    unit:"Единица",
    unitPrice:"Цена за единицу",
    floatPercent:"Увеличение цены (%)",
    treasurerPrice:"Цена за единицу после повышения (юани)",
    totalPrice:"Общая",
    estimatedProcurementPeriod:"Предполагаемый период закупок",
    estimatedPeriod:"Ориентировочный срок строительства",
    feasible:"Осуществимость",
    reviewAccept:"Оценка пройдена",
    reviewAcceptTitle:"Техническая проверка пройдена",
    reviewReject:"Отзыв отклонен",
    reviewRejectTitle:"Техническая проверка отклонена",
    rejectReason:"Причина отклонения",
    solution:"Решение",
    discountedPrice:"Цена после скидки",
    bargainMethod:"Метод переговоров",
    discountRate:"Учетная ставка",
    exceptedPrice:"Желаемая цена",
    benchmarkPriceRate:"Скидка на базовую цену",
    confirmBargain:"Инициировать переговоры о цене",
    reject:"Отказываться",
    acceptPrice:"Принять цену",
    quotation:"Прайс",
    basicRate:"Ставка скидки на базовую цену (%)",
    nonStandardDesc:"Нестандартное описание",
    addNonStandardDesc:"Добавить нестандартное описание",
    delNonStandardDesc:"Удалить нестандартное описание",
    salesConfirm:"Подтверждение продажи",
    discountRateMsg:"Текущая допустимая ставка скидки составляет {0} % - {1} %. Хотите подтвердить?",
    setSalesPrice:"Пожалуйста, установите цену за единицу покупки",
    setTreasurePriceRate:"Пожалуйста, настройте финансовое повышение цен",
    nonstandardReason:"Нестандартные причины",
    nonstandardStatistics:"Статистика нестандартов",
    leaveMsg:"Сообщение",
    nonStandardDescEmpty:"Нестандартное описание не может быть пустым",
    submitSuccess:"Успешно подачи",
    expectedPriceEmpty:"Пожалуйста, укажите желаемую цену",
    basicDiscountRateEmpty:"Пожалуйста, установите базовую ставку скидки",
    additionalCostEmpty:"Пожалуйста, введите дополнительную плату",
    elevatorLoading:"Загрузка параметров лифта, подождите…",
    quotationLoading:"Загрузка информации о предложении, пожалуйста, подождите...",
    noImg:"Пока нет фотографий",
    outOfDiscount:"Скидка в этом предложении превышает ваш диапазон скидок. Хотите подтвердить?",
    isSure:"Подтверждать?",
    isTurnDown:"Стоит ли отклонять",
    priceTotalError:"Общая стоимость равна 0 и не может быть предметом переговоров",
    priceDetailLabel:"Детали цены",
    unitPriceLabel:"Цена за единицу",
    totalPriceLabel:"Общая стоимость",
    bargainReject:"Одобрение переговоров отклонено",
    otherOptions:"Другие параметры можно ввести напрямую",
    techAdvice:"Технические консультации",
    electric:"Электрический",
    machine:"Механический",
    category:"Категория",
    salesReject:"Увольнять",
    salesRejectTitle:"Увольнять",
    elevatorCode:"Лифт №",
    specification:"Характеристики",
    elevatorNumber:"Количество",
    landShipFees:"Внутренний груз",
    seaShipFees:"Морской груз",
    commissionFees:"комиссия",
    otherFees:"Другие расходы",
    totalRate:"Общая скидка цен",
    sumFees:"总费用_RU",
    copyData:"Копия цитата",
    checkNullParam:"Номер лифта не может быть повторен",
    totalQuotation:"Итоговая цена",
    saleTotalQuotation:"销售申请折扣价格合计_RU",
    exportQuotation:"Экспортный прайс-лист",
    targetPort:"Порт назначения",
    tradeType:" Условия торговли",
    previewImage:"Изображение трапеции",
    basicPrice:"Базовая цена",
    floorDiffPrice:"Разница в цене по слоям",
    otherOptionalPrice:"Цены на другие опции",
    civilImage:"Чертеж гражданского строительства",
    total:"Общая сумма до скидки",
    discountTotal:"Общая сумма после скидки",
    bargainPrice:"Переговоры по цене",
    bargainDiscount:"Переговоры по процентной ставке",
    exportExcel:"Экспорт списка",
    exportQuotation:"Экспорт счета",
    previewQuotation:"Предварительный просмотр счета",
    outOfDiscountManager:"Скидка в этом предложении превышает ваш диапазон скидок. Хотите подтвердить?",
  },
  elevator: {
    view:"Подробная информация о лифте",
    add:"Добавить лифт",
    edit:"Редактировать лифт",
    rulesChecking:"Правила проверяются, подождите",
    rulesResult:"Результаты проверки правил модели лифтов",
    addElevator:"Добавить лифт",
    required:"Добавьте, пожалуйста, лифт",
    countError:"Количество лифтов не соответствует шаблону",
    groupCode:"Номер группы лифтов",
    offsetX:"Смещение X",
    offsetY:"Смещение Y",
    sortNum:"Номер договоренности",
    floorParam:"Параметры этажа",
    addFloorParam:"Добавить параметры этажа",
    delFloorParam:"Удалить параметры этажа",
    floorDisplay:"Дисплей этажа",
    floorHeight:"Высота этажа",
    floorParamEmpty:"Параметры этажа не могут быть пустыми",
    duplicateElevatorNo:"Номера лифтов не могут повторяться",
  },
  import: {
    title:"Импорт данных",
    upload:"Загрузить файл",
    check:"Проверка данных",
    importFinish:"Импорт завершен.",
    import:"Импорт",
    next:"Следующий шаг",
    preview:"Вернуться к предыдущему шагу",
    checkNext:"Все данные на текущей странице прошли проверку. Пожалуйста, нажмите [Далее] для импорта.",
    insMsg:"Добавить:{0}",
    updMsg:"Изменить:{0}",
    delMsg:"Удалено: {0} данных",
    noData:"Нет данных для записания",
    errMsg:"Имеются {0} данных с логическими ошибками или ошибками дублирования системных данных",
    sucMsg:"Вы успешно импортировали {0} данных",
    download:"Загрузить шаблон",
    choseFile:"Выберите файл",
    start:"Начать импорт",
    choseFileW:"Выберите файл",
  },
  messageType: {
    lead:"Напоминание о подсказках",
    project:"Напоминание о проекте",
    account:"Напоминание клиенту",
    projectUnFollow:"Напоминание о том, что проект не отслеживает сообщения",
    nonStandFollow:"Напоминание о нестандартном обзоре новостей",
    bargainFollow:"Напоминание о переговорном сообщении",
    quotationFollow:"Напоминание о предложении сообщении",
    projectDealDay:"Напоминание о дате принятия решения",
    agentContractDay:"Напоминание об истечении срока действия контракта",
  },
  paraCategory: {
    Basic:"Основные параметры",
    Well:"Параметры шахты",
    Car:"Параметры кабины",
    Door:"Параметры козлового крана",
    Optional:"Дополнительные параметры",
  },
  currency: {
    currencyName:"Валюта",
    exchangeRate:"Обменный курс",
    expiration:"Дата действия",
    inputer:"Входной человек",
    inputDate:"Дата ввода",
    remark:"Примечание",
    ruleExchangeRange:"Пожалуйста, введите правильный обменный курс с точностью до пяти знаков после запятой",
    currencyExchange:"Курс обмена валют",
    effectiveDate:"Дата вступления в силу",
    expirationDate:"Дата окончания срока",
  },
  discount: {
    role:"Роль",
    minDiscount:"Минимальная скидка",
    maxDiscount:"Максимальная скидка",
    createUserNick:"Входной человек",
    createTime:"Дата ввода",
    discountRate:"Ставка скидки при продаже",
  },
  target: {
    targetYear:"Оценочный год.",
    targetCount:"Целевое количество.",
    actualCount:"Actual delivery unit",
    targetMoney:"Целевая сумма.",
    actualMoney:"Actual delivery amount",
    targetProjectCount:"Эталонные проектные показатели",
    actualProjectCount:"Фактические эталонные проектные показатели.",
    editAssessment:"Редактирование и просмотр",
    newAssessment:"Добавить новую оценку",
    yearExist:"Данные для выбранного года уже существуют. Продолжение операции приведет к перезаписи исходных данных",
    completionRate:"Коэффициент завершения",
  },
  template: {
    add:"Добавить шаблон",
    view:"Просмотреть шаблон",
    edit:"Редактировать шаблон",
    no:"Номер шаблона",
    name:"Название шаблона",
    elevatorPosition:"Описание расположения лифта",
    elevatorQuantity:"Количество лифтов",
    image:"Изображение шаблона",
  },
  messageCenter: {
    batchRead:"Серия прочитана",
    readStatus:"Статус чтения",
    messageType:"Тип сообщения",
    messageContent:"Содержание сообщения",
    read:"Прочитай",
    noRead:"Непрочитанные",
  },
  engineering: {
    add:"Добавить чертеж",
    elevatorModel:"Тпи лифтов",
    elevatorNumber:"Количество лифтов",
    specification:"Спецификация",
    status:"Статус чертёжа",
    no:"Номер чертёжа",
    view:"Просмотреть чертеж",
    quotation:"Связанные предложении",
    elevatorNo:"Номер лифта",
    addType:"Как добавить",
    templateSelect:"Выбор шаблона чертёжа",
    commonShaftMaterial:"Материал общей шахты",
    plot:"Рисовать чертёж",
    download:"Скачать чертеж",
    associatedPlot:"Сопутствующие чертежи",
    again:"Повторить",
    checkNullParam:"存在空的参数_RU",
  },
  database: {
    fileName:"文件名称_RU",
    fileType:"文件类型_RU",
    visibleRange:"Область видимости",
    briefIntroduction:"简介_RU",
    setVisibleRange:"Установить видимый диапазон",
    adjustDir:"Настроить каталог",
    setFileVisibleRange:"Установить диапазон видимости файла",
    selectDirOrFile:"Пожалуйста, выберите каталог или проверьте файл",
    checkDirConfirm:"Если файл не отмечен, продолжение операции установит все файлы в текущем каталоге.",
    selectDir:"Пожалуйста, выберите каталог",
    setDirVisibleRange:"Установить диапазон видимости каталога",
    setupSuccess:"Установка прошла успешно",
    roleName:"Имя роли",
    addFolder:"Добавить папку",
    deleteFolder:"удалить папку",
    confirmAdjustToHere:"Вы уверены, что настроитесь на этот каталог?",
    deleteConfirm:"¿Está seguro de eliminar el directorio \'{0}\' y sus subdirectorios?",
    pleaseEnterFolderName:"Пожалуйста, введите имя папки",
    illegalFolderName:"Недопустимое имя папки",
    addLibrary:"添加资料库",
    viewLibrary:"查看资料库r",
    editLibrary:"修改资料库ru",
    clicktoadjust:"请点击目录进行调整ru",
    resourceLibrary:"База данных",
    questionBank:"试题库_RU",
    editQuestion:"编辑试题_RU",
  },
  fileupload: {
    typeError:"Формат файла неправильный, загрузите следующий файл формата",
    sizeError:"Размер загружаемого файла не может превышать",
    uploading:"Загрузка файлов, пожалуйста, подождите...",
    countError:"Количество загружаемых файлов не может превышать",
    retry:"Не удалось загрузить файл. Повторите попытку.",
  },
  company: {
    website:"Сайт компании",
    background:"История компании",
  },
  plot: {
    selectProject:"Пожалуйста, сначала выберите связанные элементы",
  },
  chatRoom: {
    needRoom:"Пожалуйста, сначала выберите чат-комнату!",
    needMsg:"Невозможно отправить пустое сообщение!",
  },
  trainList: {
    addTrain:"新增培训_RU",
    trainingName:"培训名称_RU",
    state:"Состояние",
    trainingCategory:"培训类别_RU",
    trainingTargets:"培训对象_RU",
    startTime:"Время начала",
    endTime:"Время окончания",
    whetherToAssess:"是否考核_RU",
    trainingCompletionRate:"培训完成率_RU",
    assessmentCompletionRate:"考核完成率_RU",
    publisher:"发布人_RU",
    releaseTime:"发布时间_RU",
    remarks:"Примечание",
    trainingProgram:"培训方案_RU",
    assessmentPlan:"考核方案_RU",
    trainingTracking:"培训跟踪_RU",
    fileList:"附件列表_RU",
    filename:"附件名称_RU",
    addFile:"Добавить вложения",
    addObject:"Добавить объект",
    addAgain:"Начать снова",
    examName:"考试名称_RU",
    passScore:"通过分数_RU",
    examInstructions:"考试说明_RU",
    listOfTestQuestions:"试题列表_RU",
    preview:"预览试卷_RU",
    manualTopicSelection:"手动选题_RU",
    randomSelectionOfTopics:"随机选题_RU",
    importTestQuestions:"导入试题_RU",
    targetName:"姓名_RU",
    role:"Роль",
    belongingTo:"Агент",
    choiceAgain:"请不要重复选择_RU",
    moveUp:"上移_RU",
    moveDown:"下移_RU",
    totalNumberOfQuestions:"总题数_RU",
    totalScore:"总分数_RU",
    singleChoiceQuestions:"单选题_RU",
    multipleChoiceQuestions:"多选题_RU",
    trueOrFalseQuestions:"判断题_RU",
    fillInTheBlankQuestions:"填空题_RU",
    questionContext:"试题名称_RU",
    questionType:"试题类型_RU",
    score:"分值（可编辑）_RU",
    questionUnit:"道_RU",
    scoreUnit:"分_RU",
    randomSelectError:"获取题目失败，请检查题库是否为空_RU",
    previewError:"预览失败，请添加题目_RU",
    questionTypeNum:"题数_RU",
    passScoreMsgError:"通过分数要在选择题目总分的范围内_RU",
    assessResultConfirm:"试卷提交成功_RU",
    examInProgress:"考核_RU",
    isConfirmTest:"是否确认提交试卷_RU",
    participants:"参与人员_RU",
    trainResult:"培训情况_RU",
    testResult:"考核情况_RU",
    assessmentScore:"考核分数_RU",
    moveTarget:"移除人员_RU",
    trainCompleteNum:"培训完成人数_RU",
    assessCompleteNum:"考核完成人数_RU",
    complianceRate:"达标率_RU",
    trainExportFileName:"培训数据_RU",
    editTrain:"编辑培训_RU",
    terminate:"终止培训_RU",
    isTerminate:"是否确认终止_RU",
    fileTypeError:"文件格式不正确，请上传以下格式文件：{limit}",
    finished:"培训已完成_RU",
    requiredError:"存在必填项未填写，请检查！_RU",
    scoreError:"请在总分的范围内!_RU",
    scoreTimeError:"请先选择考核题目！_RU",
    fileLimit:"只能上传{limit}格式的文件",
    trainDetail:"培训详细_RU",
    questionStatusError:"存在未启用的题目，请先启用！_RU",
    choiceQuestionIsNullError:"请先选择题目！_RU",
    cannotRemove:"无法移除已经参加考核人员_RU",
    choiceTargetIsNullError:"请先选择培训对象_RU",
  },
  question: {
    questionContext:"题目名称_RU",
    questionType:"题目类型_RU",
    score:"分值_RU",
    correctAnswer:"标准答案_RU",
  },
  trainTarget: {
    needTrain:"需要考核RU",
    trainStatus:"培训状态RU",
    score:"考核分数RU",
    examStatus:"考核情况RU",
    participateTrain:"Участвовать в обучении",
    participateExam:"Участвовать в оценке",
    completeTrain:"Полное обучение",
    testView:"考核结果查看_RU",
    assessmentResults:"考核结果_RU",
    assessmentScore:"得分_RU",
    pass:"已通过_RU",
    notPass:"未通过_RU",
    correctAnswer:"正确答案_RU",
    trainUnStart:"培训还未开始_RU",
    trainIsEnd:"培训已结束_RU",
    onlineTraining:"在线培训ru",
    trainIsTerminate:"Обучение прекращено",
  },
  todo: {
    auditFlow:"Тип дела",
    businessDesc:"Бизнес-номер",
    auditStatus:"Текущий этап",
  },
  contract: {
    approve:"审批 _RU",
    view:"查看 _RU",
    amendment:"变更 _RU",
    delete:"取消 _RU",
    addContract:"新增合同 _RU",
    contractNo:"合同号 _RU",
    salesman:"业务员 _RU",
    endCustomers:"终端客户 _RU",
    tradeTerms:"贸易条款 _RU",
    salesModel:"销售模式 _RU",
    approveStatus:"审批状态 _RU",
    approveYes:"通过 _RU",
    approveNo:"驳回 _RU",
    contractAdd:"合同新增 _RU",
    contractChange:"变更合同 _RU",
    approveYesSuccess:"审核通过 _RU",
    approveNoSuccess:"审核驳回成功 _RU",
    contract:"合同 _RU",
    information:"信息 _RU",
    paymentMethod:"付款方式 _RU",
    currencyId:"币种 _RU",
    amount:"合同金额 _RU",
    signingDate:"签单日期 _RU",
    paymentRatio:"付款比例 _RU",
    equipmentOverview:"设备一览 _RU",
    selectQuotation:"选择报价单 _RU",
    manuallyAdd:"手动添加 _RU",
    equipmentAddFees:"附加费用 _RU",
    changeHistory:"变更履历 _RU",
    version:"版本号 _RU",
    updateBy:"变更人 _RU",
    updateTime:"变更日期 _RU",
    changeRemark:"变更原因 _RU",
    origin:"来源 RU",
    address:"地址 RU",
    telephone:"电话 RU",
    email:"邮件 RU",
    shipmentPort:"装船口岸 RU",
    shipmentDeadline:"装船期限 RU",
    destinationPort:"目的口岸 RU",
    shippingMark:"商标 RU",
    toVoid:"作废_RU",
    toReason:"作废原因_RU",
    changeOrToVoidRemark:"变更/作废原因 _RU",
  },
  lift: {
    elevatorCode:"电梯号 _RU",
    elevatorType:"设备类型 _RU",
    elevatorModel:"梯型 _RU",
    specification:"Характеристики",
    quotationNoVersion:"报价编号-版本 _RU",
    unitPrice:"单价 _RU",
    projectName:"项目名称 _RU",
    quoter:"报价者 _RU",
    count:"数量 _RU",
    quotationDiscount:"报价折扣 _RU",
    contractName:"合同名 _RU",
    reviewFormNumber:"评审单号 _RU",
    productCategory:"产品类别 _RU",
    planInlandFreightCost:"预计内陆运费 _RU",
    planOceanFreight:"预计海运费 _RU",
    reviewShippingCosts:"评审运费 _RU",
    reviewCommission:"评审佣金 _RU",
    otherFees:"其他费用 _RU",
    additionalCost:"附加费用 _RU",
    productionOrderNo:"生产令号 _RU",
    contractNoVersionNo:"合同号-版本号 _RU",
    contractAmendmentDate:"合同更改日期 _RU",
    amountOfMoney:"金额 _RU",
    expectedProductionScheduleDate:"预计排产日期 _RU",
    hopeToScheduleProductionDate:"希望排产日期 _RU",
    actualProductionScheduleDate:"实际排产日期 _RU",
    productionScheduleDate:"排产日期 _RU",
    reasonForProjectCancellationAndSuspension:"项目取消暂停原因 _RU",
    hopeForDeliveryDate:"希望发货日 _RU",
    actualDeliveryDate:"实际发货日 _RU",
    port:"港口 _RU",
    productionOrderStatus:"生产订单状态 _RU",
    reviewDiscount:"评审折扣 _RU",
    commissionPaymentDate:"佣金付款日期 _RU",
    paymentDate:"收款日期 _RU",
    receivingBank:"收款银行 _RU",
    receivedAmount:"已收金额 _RU",
    accountsReceivableBalance:"应收余额 _RU",
    planAdjustmentDate:"计划调整日期 _RU",
    actualInlandFreightCost:"实际内陆运费 _RU",
    actualOceanFreight:"实际海运费 _RU",
    invoiceDate:"开票日期 _RU",
    customsDeclarationMonth:"报关月份 _RU",
    subsequentCollectionOfShippingFees:"后续收取运费 _RU",
    collectionDate:"收取日期 _RU",
    projectStatus:"项目状态 _RU",
    mUsdRate4ProductionScheduling:"排产月美元汇率 _RU",
    mEuroRate4ProductionScheduling:"排产月月欧元汇率 _RU",
    mUsdRate4Shipment:"发货月美元汇率 _RU",
    mEuroRate4Shipment:"发货月欧元汇率 _RU",
    mUsdRate4SigningContracts:"签单月美元汇率 _RU",
    mEuroRate4SigningContracts:"签单月欧元汇率 _RU",
    selectRow:"请选择数据！ _RU",
    contractLiftEdit:"生产信息录入成功 _RU",
    agentNotExistQuotation:"该代理商未找到对应的报价单 _RU",
    pleaseSelectQuotation:"选择报价单 _RU",
    pleaseSelectAgent:"请选择代理商 _RU",
    changeReasonNotNull:"变更原因不能为空 _RU",
    agentNotExistAccount:"该代理商无相关的终端客户 _RU",
    pleaseSelectData:"请选择数据 _RU",
    equipment:"设备 _RU",
    equipmentAdd:"新增设备 _RU",
    equipmentEdit:"编辑设备 _RU",
    informationInsert:"生产信息录入 _RU",
    toVoidReasonNotNull:"作废原因不能为空 _RU",
  },
  agentAddProject: {
    sumWeek:"新增客户数_RU",
    sumTotal:"合计客户数_RU",
    accountName:"所属客户_RU",
    sumProjectWeek:"新建项目数量_RU",
    sumEngineeringWeek:"新建项目台数_RU",
    priceWeek:"新建项目金额_RU",
    sumProjectTotal:"合计项目数量_RU",
    sumEngineeringTotal:"合计项目台数_RU",
    priceTotal:"合计项目金额_RU",
  },
  agentProjectStatistics: {
    completeProjectQty:"成单项目数量_RU",
    completeProjectEquipmentQty:"成单项目台数_RU",
    completeProjectPrice:"成单项目金额_RU",
    lostProjectQty:"丢单项目数量_RU",
    lostProjectEquipmentQty:"丢单项目台数_RU",
    lostProjectPrice:"丢单项目金额_RU",
    sumProjectQty:"合计项目数量_RU",
    sumProjectEquipmentQty:"合计项目台数_RU",
    sumProjectPrice:"合计项目金额_RU",
    completionRate:"成单率_RU",
    lostOrderRate:"丢单率_RU",
    year:"年份_RU",
  },
  agentCompleteOrder: {
    agentName:"代理商名_RU",
    shippedQty:"出货台数_RU",
    shippedPrice:"出货金额_RU",
    accountName:"客户名_RU",
    annualProcurementQty:"年度采购台量_RU",
  },
}
