﻿module.exports = {
  common: {
    search:"搜索",
    reset:"重置",
    launch:"展开",
    retract:"收起",
    operate:"操作",
    add:"新增",
    edit:"编辑",
    delete:"删除",
    view:"查看",
    export:"导出",
    close:"关闭",
    cancel:"取消",
    confirm:"确认",
    createTime:"创建时间",
    remark:"备注",
    isDelete:"是否确认删除？",
    deleteSuccess:"删除成功",
    addSuccess:"新增成功",
    editSuccess:"编辑成功",
    pleaseInput:"请输入",
    pleaseSelect:"请选择",
    dateRangeStart:"开始日期",
    monthRangeStart:"开始月份",
    dateRangeEnd:"结束日期",
    monthRangeEnd:"结束月份",
    enabled:"启用",
    disabled:"停用",
    annex:"附件",
    date:"日期",
    onlyNumber:"只能是数字",
    pleaseCorrect:"请输入正确的",
    startYear:"开始年份",
    endYear:"结束年份",
    startMonth:"开始月份",
    endMonth:"结束月份",
    startDay:"开始日期",
    endDay:"结束日期",
    atLeast:"至少",
    digits:"位数",
    import:"导入",
    more:"更多",
    contactPerson:"联系人",
    contact:"联系方式",
    createBy:"创建者",
    uploadFile:"上传附件",
    addRow:"新增行",
    version:"版本号",
    updateBy:"更新者",
    yes:"是",
    no:"否",
    enableSuccess:"启用成功",
    deactivatSuccess:"停用成功",
    enableConfirmMsg:"确认启用参数？",
    deactivatConfirmMsg:"确认停用参数？",
    none:"暂无",
    errorMsg:"系统未知错误，请稍后再试",
    select:"选择",
    maxLength100:"请输入长度不超过100的值",
    requiredMsg:"不能为空",
    operateSuccess:"操作成功",
    updateSuccess:"修改成功",
    tips:"提示",
    head:"总部",
    noSpace:"首尾不能输入空格",
    back:"返回",
    notEmpty:"不能为空",
    errfort:"格式不正确",
    pleaseInputHasPara:"请输入{0}",
    pleaseSelectHasPara:"请选择{0}",
    notInputAlertMessage:"{0}不能为空",
    errorFormatMessage:"{0}格式不正确",
    notExceedMessage:"大小不超过",
    formatType:"格式为",
    fileUploadAlert:"文件格式不正确, 请上传 {0} 图片格式文件!",
    fileSizeAlert:"上传头像图片大小不能超过 {0} MB!",
    fileUploadingWaitAlert:"正在上传图片，请稍候...",
    fileCountAlert:"上传文件数量不能超过 {0} 个!",
    fileUploadFailAlert:"上传图片失败，请重试",
    priview:"预览",
    noDataEmptyText:"暂无数据",
    areaManage:"区域管理",
    countryManage:"国家管理",
    ruleCannotBe0:"不能为0",
    cannotBeGreaterThan:"不能大于",
    cannotBeLessThan:"不能小于",
    status:"状态",
    systemTip:"系统提示",
    logoutConfirm:"确定注销并退出系统吗",
    submitter:"提交人",
    submitTime:"提交时间",
    addNew:"添加",
    updateTime:"更新时间",
    cannotBeGe:"不能大于等于",
    cannotBeLe:"不能小于等于",
    noResultsText:"未找到结果",
    language:"语言",
    bulkEnable:"批量启用",
    bulkDisable:"批量禁用",
    batchDelete:"批量删除",
    batchToggleStatus:"批量禁启用",
    keepAtLeastOne:"至少保留一个",
    expandMore:"展开更多",
    total:"合计",
    download:"下载",
    processingData:"数据正在处理，请勿重复提交",
    sessionExpired:"登录状态已过期，您可以继续留在该页面，或者重新登录",
    invalidSession:"无效的会话，或者会话已过期，请重新登录。",
    backendConnectionError:"后端接口连接异常",
    apiTimeout:"系统接口请求超时",
    apiErrorTemplate:"系统接口{0}异常",
    downloadFailed:"文件下载失败",
    downloadError:"下载文件出现错误，请联系管理员！",
    reLogin:"重新登录",
    batchEnableStatus:"批量启用",
    batchDisableStatus:"批量禁用",
    copy:"复制",
  },
  nation: {
    countryId:"国家编号",
    countryName:"国家名称",
    addNation:"新增国家",
    editNation:"编辑国家",
    discount:"折扣率",
    countryNameUS:"国家名称（英）",
    countryNameRU:"国家名称（俄）",
    countryNameES:"国家名称（西）",
  },
  area: {
    areaName:"区域名称",
    areaLevel:"区域等级",
    parentArea:"上级区域",
    addArea:"新增区域",
    editArea:"编辑区域",
    containNation:"包含国家",
    areaNameUS:"区域名称（英）",
    areaNameRU:"区域名称（俄）",
    areaNameES:"区域名称（西）",
  },
  project: {
    projectName:"项目名称",
    type:"项目类型",
    projectPeriod:"项目周期",
    status:"项目状态",
    addProject:"新增项目",
    editProject:"编辑项目",
    projectNo:"项目编号",
    relationQuote:"关联报价编号",
    quoteVersion:"报价版本",
    relationContract:"关联合同编号",
    isModel:"标杆项目",
    projectSegments:"项目细分市场",
    countryId:"国家",
    city:"城市",
    developer:"开发商",
    startTime:"项目开始",
    endTime:"项目结束",
    contactPerson:"联系人",
    contact:"联系方式",
    setModel:"设为标杆",
    follow:"跟进",
    delayLost:"延期/丢单",
    intoOrder:"成单",
    relationCustomers:"关联客户",
    relationClue:"关联线索",
    area:"区域",
    currency:"币种",
    no:"项目编号",
    name:"项目名称",
    type:"项目类型",
    view:"查看项目",
    period:"项目周期",
    delay:"延期",
    lost:"丢单",
    reasonType:"原因分类",
    reason:"原因",
    confirmSetModel:"确认将该项目设为标杆项目吗",
    approve:"审批",
    approveStatus:"审批状态",
    pass:"通过",
    notPass:"不通过",
    refuseReason:"驳回原因",
    delayRemark:"延期备注",
    loseRemark:"丢单备注",
    cancelModel:"设为非标杆",
    confirmCancelModel:"确认将该项目设为非标杆项目吗",
    changeOwner:"更改负责人",
    completionYear:"项目交期",
    relatedCustomer:"关联客户",
    address:"项目地址",
    keyContactPerson:"关键决策人",
    keyJobTitle:"关键决策人职位",
    keyContact:"关键决策人电话",
    keyEmail:"关键决策人邮箱",
    jobTitle:"职位",
    solution:"解决方案",
    specialRemark:"特殊需求",
    beginYear:"首次合作年份",
    progress:"项目进度",
    progressUpdateConfirm:"是否确认修改项目进度？",
    equipmentType:"设备类型",
    equipmentQuantity:"设备数量",
    amount:"金额",
    equipmentSpecifications:"设备规格",
    priceTotal:"总价",
    deviceTotal:"设备总数",
    elevatorModel:"梯型",
    standard:"规格",
    expectedInstallStartDate:"预期安装开始日期",
    competitor:"竞争对手",
    modifyRemark:"修改备注",
    modifyRemarkNote:"请输入修改备注",
    modifyRemarkNotEmpty:"修改备注信息不能为空",
    delayLoseRemark:"延期/丢单备注",
  },
  agent: {
    agentNo:"代理商编号",
    agentName:"代理商名称",
    area:"所属区域",
    type:"类型",
    agentLevel:"代理商等级",
    status:"状态",
    createTime:"创建时间",
    setExamicountry:"设置考核",
    parentAgent:"上级代理",
    parentSaler:"上级销售",
    discountRate:"折扣率",
    discountRate1:"折扣率（%）",
    phone:"联系方式",
    thisYearExamine:"本年度考核",
    targetMoney:"目标销售额",
    targetCount:"目标台数",
    targetProject:"目标标杆项目数",
    addAgent:"新增代理商",
    editAgent:"编辑代理商",
    country:"国家",
    head:"负责人",
    editTarget:"设置考核",
    targetYear:"考核年度",
    agentNameRule:"代理商名称不能为空",
    areaRule:"所属区域不能为空",
    typeRule:"类型不能为空",
    parentSalerRule:"上级销售不能为空",
    parentAgentRule:"上级代理不能为空",
    agentLevelRule:"代理商等级不能为空",
    countryRule:"国家不能为空",
    headRule:"负责人不能为空",
    phoneRule:"联系方式不能为空",
    mailRule:"邮箱不能为空",
    addressRule:"地址不能为空",
    discountRateRule:"折扣率不能为空",
    agentNoPh:"请输入代理商编号",
    agentNamePh:"请输入代理商名称",
    areaPh:"请选择所属区域",
    typePh:"请选择类型",
    parentSalerPh:"请选择上级销售",
    parentAgentPh:"请选择上级代理",
    agentLevelPh:"请选择代理商等级",
    countryPh:"请选择国家",
    headPh:"请输入负责人",
    phonePh:"请输入联系方式",
    mailPh:"请输入邮箱",
    addressPh:"请输入地址",
    discountRatePh:"请输入折扣率",
    notePh:"请输入备注",
    statusPh:"请选择状态",
    targetYearPh:"请输入考核年份",
    targetCountPh:"请输入目标台数",
    targetMoneyPh:"请输入目标销售额",
    targetProjectPh:"请输入目标标杆项目数",
    agent:"代理商",
    discountRange:"范围只能在0到100之间",
    adder:"地址",
    email:"邮箱",
    agentNameUS:"代理商名称（英）",
    agentNameRU:"代理商名称（俄）",
    agentNameES:"代理商名称（西）",
    exportName:"代理商导出",
    headquarters:"总部",
    exportFielName:"代理商管理",
    assess:"代理商考核",
    targetProjectCount:"目标标杆项目数",
    targetElevatorCount:"目标台数",
    hasContract:"是否签约",
    protocolStartDate:"协议生效日期",
    protocolEndDate:"协议失效日期",
    authorizedArea:"授权区域",
    changeTime:"修改时间",
    modifier:"修改者",
    agentResume:"代理商履历",
  },
  follow: {
    followType:"记录类别",
    followTime:"跟进日期",
    relatedLead:"关联线索",
    relatedAccount:"关联客户",
    relatedProject:"关联项目",
    contactPerson:"联系人",
    contact:"联系方式",
    followWay:"跟进方式",
    followDesc:"跟进内容及结果",
    followAttach:"附件",
    followRelated:"关联线索/客户/项目",
    followPerson:"跟进对象",
    followNo:"记录编号",
    viewFollowRecord:"查看跟进记录",
    addFollowRecord:"新增跟进记录",
    editFollowRecord:"编辑跟进记录",
    no:"记录编号",
    time:"跟进日期",
    deleted:"该条跟进记录已被删除，请确认！",
    follow:"跟进记录",
    follower:"跟进人",
    fastTrack:"快速跟进",
    country:"国家",
  },
  dicData: {
    dictCode:"字典编码",
    dictName:"字典名称",
    dictLabel:"字典标签",
    dictLabelUS:"字典标签(英)",
    dictLabelRU:"字典标签(俄)",
    dictLabelES:"字典标签(西)",
    dictValue:"字典键值",
    dictSort:"字典排序",
    status:"状态",
    placeholder_dictLabel:"请输入字典标签",
    placeholder_dataLabel:"请输入数据标签",
    placeholder_dataLabelUS:"请输入数据标签(英)",
    placeholder_dataLabelRU:"请输入数据标签(俄)",
    placeholder_dataLabelES:"请输入数据标签(西)",
    placeholder_dataValue:"请输入数据键值",
    placeholder_cssClass:"请输入样式属性",
    cssClass:"样式属性",
    listClass:"回显样式",
    displaySort:"显示排序",
    rules_dictLabel_message:"数据标签不能为空",
    rules_dictLabelUS_message:"数据标签(英)不能为空",
    rules_dictLabelRU_message:"数据标签(俄)不能为空",
    rules_dictLabelES_message:"数据标签(西)不能为空",
    rules_dictValue_message:"数据键值不能为空",
    rules_dictSort_message:"数据顺序不能为空",
    viewDicdata:"查看字典数据",
    addDicdata:"新增字典数据",
    editDicdata:"编辑字典数据",
  },
  dicType: {
    startDate:"开始日期",
    endDate:"结束日期",
    dictId:"字典编号",
    dictName:"字典名称",
    dictNameUS:"字典名称(英)",
    dictNameRU:"字典名称(俄)",
    dictNameES:"字典名称(西)",
    dictType:"字典类型",
    status:"状态",
    rules_dictName_message:"字典名称不能为空",
    rules_dictNameUS_message:"字典名称(英)不能为空",
    rules_dictNameRU_message:"字典名称(俄)不能为空",
    rules_dictNameES_message:"字典名称(西)不能为空",
    rules_dictType_message:"字典类型不能为空",
    dicDataTitle:"字典数据",
  },
  user: {
    newUser:"新增用户",
    account:"用户名",
    nick:"用户昵称",
    role:"角色",
    agent:"所属",
    country:"国家",
    area:"区域",
    email:"邮箱",
    phoneNo:"联系方式",
    passwd:"密码",
    sex:"性别",
    remark:"备注",
    status:"状态",
    resetPasswd:"重置密码",
    placeholder_nick:"请输入用户昵称",
    placeholder_agent:"请选择所属代理商",
    placeholder_phone:"请输入联系方式",
    placeholder_email:"请输入邮箱",
    placeholder_username:"请输入用户名",
    placeholder_passwd:"请输入用户密码",
    placeholder_sex:"请选择性别",
    placeholder_status:"请选择状态",
    placeholder_role:"请选择角色",
    placeholder_country:"请输入国家",
    placeholder_area:"请输入地区",
    placeholder_remark:"请输入备注",
    placeholder_correctEmail:"请输入正确的邮箱地址",
    placeholder_correctPhone:"请输入正确的手机号码",
    rule_nick:"用户昵称不能为空",
    rule_username:"用户名称不能为空",
    rule_passwd:"用户密码不能为空",
    rule_uname_len_2_20:"用户名称长度必须介于 2 和 20 之间",
    rule_passwd_len_5_20:"用户密码长度必须介于 5 和 20 之间",
    rule_passwd_illegal_char:"不能包含非法字符",
    rule_agent:"代理商不能为空",
    rule_email:"邮箱不能为空",
    rule_phone:"手机号不能为空",
    rule_status:"状态不能为空",
    rule_role:"角色不能为空",
    rule_country:"国家不能为空",
    rule_area:"地区不能为空",
  },
  account: {
    accountNo:"客户编号",
    accountName:"公司/客户名称",
    address:"公司地址",
    country:"国家",
    sector:"行业",
    registeredCapital:"注册资本",
    startTime:"成立日期",
    accountDesc:"公司介绍",
    phone:"联系方式",
    email:"邮箱",
    level:"客户级别",
    type:"客户类型",
    status:"状态",
    orderStatus:"成单状态",
    area:"地区",
    add:"新增客户",
    view:"查看客户",
    baseInfo:"客户基本信息",
    group:"所属集团",
    origin:"客户来源",
    file:"附件",
    addContact:"添加联系人",
    addLine:"新增联系人",
    deleteLine:"删除联系人",
    edit:"编辑客户",
    lead:"关联线索",
    project:"关联项目",
    follow:"跟进记录",
    merge:"合并客户",
    mergeNumberMsg:"请至少选择两个客户",
    mergeRequiredMsg:"客户不能为空",
    mergeDuplicateMsg:"客户选择重复",
    account:"客户",
    history:"更新履历",
    viewHistory:"查看履历",
    viewHistoryInfo:"查看履历信息",
    setMain:"设为主体客户",
    isMain:"是否为主体客户",
    ExcelTemplate:"客户信息导入模板",
    contact:"联系人",
    owner:"客户所有人",
    pleaseSetMain:"请选择一个客户设为主体客户",
    contactRequired:"联系人姓名必填，联系方式/邮箱二选一",
    companyType:"公司类型",
    followDesc:"最新跟进结果",
    followTime:"最新跟进时间",
    followPerson:"跟进人",
    intentionalProduct:"产品意向",
    planDealMonth:"客户决定日期",
    unmerge:"取消合并",
    existSameContact:"存在相同的联系人信息",
    contactExistsConfirmation:"联系人【{0}】已存在其他客户【{1}】联系人中，是否确认提交?",
  },
  lead: {
    no:"线索编号",
    area:"区域",
    company:"公司名称",
    leadNo:"线索编号",
    relativeAccount:"关联客户编号",
    area:"区域",
    company:"公司名称",
    origin:"来源",
    contact:"联系方式",
    address:"地址",
    sector:"行业",
    requirement:"需求描述",
    priority:"优先级",
    status:"线索状态",
    agent:"所属代理商",
    owner:"负责人",
    createBy:"创建者",
    addLead:"新增线索",
    bulkAllocate:"批量分配",
    excelImport:"EXCEL导入",
    export:"导出",
    allocate:"分配",
    recycle:"回收",
    followUp:"跟进",
    convertCust:"转化客户",
    leadCustomerType:"客户类型",
    contactPerson:"联系人",
    lead:"线索",
    detail:"线索明细",
    baseInfo:"基本信息",
    followRecord:"跟进记录",
    history:"履历",
    time:"线索时间",
    followDetail:"跟进详情",
    recoveryReason:"回收原因",
    recoveryType:"原因分类",
    recycleLead:"回收线索",
    noAllowed:"不允许分配",
    converted:"线索已经转化客户了！",
    cannotConvert:"线索无法转化客户",
    noAnnexYet:"暂无附件",
    leadDetail:"线索详情",
    allocateSuccess:"分配成功",
    recycleSuccess:"回收成功",
    exportName:"线索导出",
    email:"邮箱",
    contactOrEmailRequired:"联系方式和邮箱至少输入一个",
    exportFileName:"线索管理",
    convertProject:"转化项目",
    select:"选择线索",
    selected:"已选线索",
    country:"国家",
    companyType:"公司类型",
    requirements:"需求类型",
    lastestFollowUp:"最新跟进结果",
    followUpTime:"最新跟进时间",
    follower:"跟进人",
    intentionalProduct:"产品意向",
    segment:"项目类型",
    group:"归属集团",
    background:"公司背景",
    inquiryInformation:"询盘信息",
    lostRemarks:"丢失原因备注",
    relatedLeadsId:"关联线索ID",
    relatedProjectId:"关联项目ID",
    quotationId:"关联报价单ID",
    position:"职位",
    customerName:"客户姓名",
    invalidReason:"失效原因",
    convertCustType:"客户类型",
    convertExistCust:"现有客户",
    convertNewCustomer:"新客户",
    convertCustTitle:"转化客户",
    silentOrInvalid:"静默/无效",
  },
  contact: {
    name:"联系人姓名",
    phone:"联系方式",
    address:"联系人地址",
    email:"邮箱",
    job:"职务",
    birthday:"生日",
    horoscope:"星座",
    maritalStatus:"婚姻状况",
    hobbies:"兴趣爱好",
  },
  paraLibrary: {
    paraCode:"参数编码",
    paraName:"参数名称",
    paraNameUS:"参数名称(英)",
    paraNameRU:"参数名称(俄)",
    paraNameES:"参数名称(西)",
    paraCategory:"参数大类",
    inputType:"输入方式",
    sortNumber:"参数排序",
    elevatorType:"电梯类型",
    status:"状态",
    addParameter:"新增参数",
    editParameter:"编辑参数",
    paraSelectItems:"参数选项",
    isQuotation:"是否报价参数",
    isCivil:"是否土建参数",
    isCalc:"是否计算参数",
  },
  selectItem: {
    paraId:"参数ID",
    paraName:"参数名称",
    value:"选项值",
    label:"选项名称",
    labelUS:"选项名称(英)",
    labelRU:"选项名称(俄)",
    labelES:"选项名称(西)",
    addItem:"新增选项",
    editItem:"编辑选项",
    sortNumber:"选项排序",
    prarSource:"选项图片",
    paraCode:"选项编码",
    picView:"图片预览",
  },
  index: {
    welcome:"欢迎登录KOYO",
    navigation:"应用导航",
    dataBoard:"数据看板",
    todoItems:"待办事项",
    unreadMessages:"未读消息",
    pieChart:"A pie chart about xx statistics",
    pieChartExplanation:"This is a supplementary explanation for the pie chart",
    lineChart:"Line chart about xx statistics xx statistics",
    guideOne:"客户管理",
    guideTwo:"线索管理",
    guideThree:"跟进管理",
    guideFour:"项目管理",
    guideFive:"报价管理",
    guideSix:"合同管理",
    guideSeven:"梯型参数",
    messageCenter:"消息中心",
    more:"更多",
    quotationMessage:"报价消息",
    commingMessage:"功能即将到来，敬请期待",
    todo:"待办事项",
  },
  personal: {
    info:"个人信息",
    userName:"用户名称",
    telphone:"手机号码",
    userEmail:"用户邮箱",
    dept:"所属部门",
    role:"所属角色",
    createDate:"创建日期",
    timeZone:"时区",
    basicInfo:"基本资料",
    changePwd:"修改密码",
    nickName:"用户昵称",
    email:"邮箱",
    sex:"性别",
    save:"保存",
    nickNameValidate:"用户昵称不能为空",
    emailRequireValidate:"邮箱地址不能为空",
    emailCorretValidate:"请输入正确的邮箱地址",
    telphoneRequireValidate:"手机号码不能为空",
    telphoneCorretValidate:"请输入正确的手机号码",
    modifySuccess:"修改成功",
    oldPwd:"旧密码",
    enterOldPwd:"请输入旧密码",
    newPwd:"新密码",
    enterNewPwd:"请输入新密码",
    confirmPwd:"确认密码",
    pleaseConfirmPwd:"请确认新密码",
    pwdNoMatch:"两次输入的密码不一致",
    oldPwdRequiredValidate:"旧密码不能为空",
    newPwdRequiredValidate:"新密码不能为空",
    lengthValidate:"长度在 6 到 20 个字符",
    charValidate:"不能包含非法字符",
    confirmPwdRequiredValidate:"确认密码不能为空",
    male:"男",
    female:"女",
  },
  audit: {
    promoter:"发起人",
    allUser:"所有人",
    draft:"草稿",
    uploading:"待上传",
    reject:"已驳回",
    rollback:"已撤回",
    auditorOne:"一级审核",
    auditorTwo:"二级审核",
    pass:"已通过",
    userAudit:"指定用户审批",
    flowEnd:"流程结束",
    saveAndSubmit:"保存并提交",
    nodeName:"节点名称",
    auditorType:"审批人类型",
    user:"用户",
    confirm:"确定",
  },
  dropMenu: {
    center:"个人中心",
    layoutSetting:"布局设置",
    logout:"退出登录",
  },
  layoutSetting: {
    themeStyle:"主题风格设置",
    themeColor:"主题颜色",
    layout:"系统布局配置",
    open:"开启",
    fix:"固定",
    show:"显示",
    dynamicTitle:"动态标题",
  },
  board: {
    queryY:"查询年度",
    queryM:"查询月份",
    queryD:"查询日期",
    leadCountStat:"线索数量变化统计",
    statType:"类型",
    leadStatY:"线索年度统计表",
    leadStatM:"线索月度统计表",
    leadStatD:"线索日统计表",
    custCountStat:"客户数量变化统计",
    custStatY:"客户年度统计表",
    custStatM:"客户月度统计表",
    custStatD:"客户日统计表",
    year:"年度",
    month:"月度",
    day:"日",
    lastWeek:"最近一周",
    lastMonth:"最近一月",
    lastSixMonths:"最近半年",
    unfollowedList:"未跟进项目列表",
    lastFollowDate:"最后跟进日期",
    msgAccounDateRange:"请选择客户数量统计时间范围",
    msgLeadDateRange:"请选择线索数量统计时间范围",
    leadCount:"线索数",
    accountCount:"客户数",
  },
  menu: {
    custome:"客户管理",
    clues:"线索管理",
    project:"项目管理",
    audit:"审批配置",
    flow:"跟进管理",
    civil:"土建出图",
    train:"培训考核",
    quotation:"报价",
  },
  elevatorModel: {
    areaName:"区域",
    elevatorTypeName:"电梯类型",
    elevatorModel:"电梯型号",
    status:"状态",
    remark:"备注",
    areaParam:"参数选配",
    selectItem:"选项设定",
    paramStandard:"参数默认值",
    priceLine:"价格表设定",
    paramSelect:"参数选择",
    allParam:"全部参数",
    isSelect:"已选择",
    JJManage:"基价管理",
    XPManage:"选配项目",
    XPParameter:"参数选配",
    optSet:"选项设定",
    standand:"参数默认值",
  },
  validation: {
    ruleName:"规则名称",
    status:"状态",
    area:"区域",
    relationElevator:"关联梯形",
    updateBy:"变更人",
    updateTime:"变更时间",
    createBy:"发布人",
    createTime:"发布时间",
    relationElevatorNum:"关联梯型数量",
    seeElevator:"查看关联梯型",
    basicParam:"基本参数",
    craneParam:"门机参数",
    assortingParam:"选配参数",
    decorationParam:"装潢参数",
    Logical:"逻辑编排",
    formulaSetting:"公式设定",
    variable:"变量",
    function:"方法",
    testresult:"测试结果",
    test:"测试",
    relationView:"查看关联梯型",
    addRule:"新增规则",
    suitModel:"适用梯型",
    errorMsg:"公式测试不成功，请检查公式设定",
    errorMutiplueSelect:"请勿重复选择",
    errorAtLeast:"请至少选择一条数据",
    areaUS:"区域（英）",
    areaRU:"区域（俄）",
    areaES:"区域（西）",
    NgMessage:"NG提示信息",
    NgMessageUS:"NG提示信息(英)",
    NgMessageRU:"NG提示信息(俄)",
    NgMessageES:"NG提示信息(西)",
    atLeastModel:"请至少关联一个梯型",
    detailRule:"规则详情",
    editRule:"修改规则",
    commonParameters:"常用参数",
    enbaleConfrim:"是否确认停用该校验规则？",
    disabledConfirm:"是否确认启用该校验规则？",
    validateDeleteError:"该校验规则已被报价引用,无法删除！",
  },
  home: {
    title:"欢迎登录全球管理系统",
    login:"登录",
    rememberPassword:"记住密码",
    logining:"登录中",
    account:"账号不能为空",
    password:"密码不能为空",
    placeholderNo:"请输入账号",
    placeholderPas:"请输入密码",
  },
  relatedCase: {
    menuName:"参数联动设定管理",
    addMenu:"新增联动",
    editMenu:"编辑联动",
    viewMenu:"查看联动",
    caseName:"用例名称",
    content:"内容",
    relationship:"逻辑运算",
    relatedCase:"联动用例",
    paramsProject:"参数项目",
    operation:"关系运算",
    relatedResult:"联动结果",
    addRow:"新增行",
    deleteRow:"删除行",
    value:"值",
    optionValue:"选项值",
    editable:"是否禁用编辑",
    enbaleConfrim:"是否确认停用该联动用例？",
    disabledConfirm:"是否确认启用该联动用例？",
    include:"包含",
    noInclude:"不包含",
    atLeastCase:"请至少填写一条联动用例",
    atLeastResult:"请至少填写一条联动结果",
    logicCaseNoRepeat:"联动用例内参数项目不可重复",
    actionNoRepeat:"联动结果内参数项目不可重复",
    bothNoRepeat:"联动用例与联动结果参数项目不可重复",
    conditionContent:"条件内容",
    resultContent:"结果内容",
    computedFlag:"是否计算值",
    displayFlag:"是否隐藏",
    runType:"运行方式",
    runIndex:"执行顺序",
    validateDeleteError:"该联动用例已被报价引用,无法删除！",
    emptyFlag:"是否强制清除",
  },
  quotation: {
    addQuotation:"新增报价",
    copyVersion:"复制版本",
    quotationNo:"报价编号",
    suitModel:"梯型",
    quoter:"报价者",
    finalPrice:"最终价格",
    quotationStatus:"报价状态",
    submitTime:"提交时间",
    additionalCost:"附加费用",
    negotiatedPrice:"议价",
    addAdditionalCost:"新增附加费用",
    delAdditionalCost:"删除附加费用",
    feeName:"费用名称",
    amountRmb:"金额（人民币）",
    convertedAmount:"换算后金额",
    count:"数量",
    elevatorNo:"电梯编号",
    specification:"规格",
    elevatorView:"电梯一览",
    addElevator:"新增电梯",
    saveDraft:"保存草稿",
    version:"版本",
    add:"新增报价",
    edit:"编辑报价",
    view:"报价详情",
    detailInfo:"详细信息",
    reviewInfo:"评审信息",
    priceTotal:"价格合计",
    benchmarkPriceTotal:"基准价格合计",
    optionalPriceTotal:"选配加价合计",
    elevatorDetail:"电梯详细",
    operateHistory:"操作履历",
    operateContext:"操作内容",
    operator:"操作者",
    operateTime:"操作时间",
    workPeriod:"工期",
    baseInfo:"报价基本信息",
    price:"价格",
    isStandard:"是否标准",
    techReview:"技术评审",
    buyerInquiry:"采购询价",
    buyerQuotation:"采购报价",
    buyerConfirm:"采购确认",
    treasureInquiry:"财务询价",
    treasureQuotation:"财务报价",
    treasureConfirm:"财务确认",
    showView:"查看报价",
    bargainApproval:"议价审批",
    bargainConfirm:"议价确认",
    reviewResultList:"评审结果列表",
    reviewProject:"评审项目",
    relatedParamInfo:"关联参数信息",
    systemReviewResult:"系统评审结果",
    reason:"理由",
    unit:"单位",
    unitPrice:"单价",
    floatPercent:"价格上浮(%)",
    treasurerPrice:"上浮后单价(元)",
    totalPrice:"总计",
    estimatedProcurementPeriod:"预计采购工期",
    estimatedPeriod:"预计工期",
    feasible:"可行性",
    reviewAccept:"评审通过",
    reviewAcceptTitle:"技术评审通过",
    reviewReject:"评审驳回",
    reviewRejectTitle:"技术评审驳回",
    rejectReason:"驳回原因",
    solution:"解决方案",
    discountedPrice:"折后价格",
    bargainMethod:"议价方式",
    discountRate:"折率",
    exceptedPrice:"希望价格",
    benchmarkPriceRate:"基价折率",
    confirmBargain:"发起议价",
    reject:"驳回",
    acceptPrice:"接受价格",
    quotation:"报价",
    basicRate:"基价折率（%）",
    nonStandardDesc:"非标描述",
    addNonStandardDesc:"新增非标描述",
    delNonStandardDesc:"删除非标描述",
    salesConfirm:"销售确认",
    discountRateMsg:"当前允许折率 {0} % - {1} %,是否确认?",
    setSalesPrice:"请设置采购单价",
    setTreasurePriceRate:"请设置财务价格上浮",
    nonstandardReason:"非标理由",
    nonstandardStatistics:"非标统计",
    leaveMsg:"留言",
    nonStandardDescEmpty:"非标描述不能为空",
    submitSuccess:"提交成功",
    expectedPriceEmpty:"请设置希望价格",
    basicDiscountRateEmpty:"请设置基价折率",
    additionalCostEmpty:"请输入附加费用",
    elevatorLoading:"正在加载电梯参数，请稍候…",
    quotationLoading:"正在加载报价信息，请稍候…",
    noImg:"暂无图片",
    outOfDiscount:"该报价单的折扣超出您的折扣范围，需上级领导审批，是否确认",
    isSure:"是否确认",
    isTurnDown:"是否进行驳回",
    priceTotalError:"价格合计为0，无法议价",
    priceDetailLabel:"价格明细",
    unitPriceLabel:"单价",
    totalPriceLabel:"总价",
    bargainReject:"议价审批驳回",
    otherOptions:"其他选项可直接输入",
    techAdvice:"技术意见",
    electric:"电气",
    machine:"机械",
    category:"类别",
    salesReject:"销售驳回",
    salesRejectTitle:"销售驳回",
    elevatorCode:"电梯编号",
    specification:"规格",
    elevatorNumber:"数量",
    landShipFees:"内陆运费",
    seaShipFees:"海运费",
    commissionFees:"佣金",
    otherFees:"其他费用",
    totalRate:"总价折率",
    sumFees:"总费用",
    copyData:"复制报价单",
    checkNullParam:"电梯编号不能重复",
    totalQuotation:"报价合计",
    saleTotalQuotation:"销售申请折扣价格合计",
    exportQuotation:"导出报价单",
    targetPort:"目的港口",
    tradeType:"贸易条款",
    previewImage:"梯型图片",
    basicPrice:"基价",
    floorDiffPrice:"层站差价",
    otherOptionalPrice:"其他选配价",
    civilImage:"土建图",
    total:"折前合计",
    discountTotal:"折后合计",
    bargainPrice:"按照价格议价",
    bargainDiscount:"按照折率议价",
    exportExcel:"导出列表",
    exportQuotation:"导出报价单",
    previewQuotation:"预览报价单",
    outOfDiscountManager:"该报价单的折扣超出您的折扣范围，是否确认",
  },
  elevator: {
    view:"电梯详细",
    add:"新增电梯",
    edit:"编辑电梯",
    rulesChecking:"规则校验中,请稍等",
    rulesResult:"梯形规则校验结果",
    addElevator:"添加电梯",
    required:"请新增电梯",
    countError:"电梯数量与模板不一致",
    groupCode:"电梯组号",
    offsetX:"偏移量X",
    offsetY:"偏移量Y",
    sortNum:"排列序号",
    floorParam:"楼层参数",
    addFloorParam:"新增楼层参数",
    delFloorParam:"删除楼层参数",
    floorDisplay:"楼层显示",
    floorHeight:"楼层高度",
    floorParamEmpty:"楼层参数不能为空",
    duplicateElevatorNo:"电梯编号不能重复",
  },
  import: {
    title:"数据导入",
    upload:"上传文件",
    check:"数据校验",
    importFinish:"导入完成",
    import:"导入",
    next:"下一步",
    preview:"返回上一步",
    checkNext:"当前页面数据全部通过校验，请点击“下一步”进行导入",
    insMsg:"新增：{0}条",
    updMsg:"修改：{0}条",
    delMsg:"删除：{0}条",
    noData:"没有可以导入的数据",
    errMsg:"有{0}条数据存在逻辑错误或系统数据重复错误",
    sucMsg:"您已成功导入{0}条数据",
    download:"下载模板",
    choseFile:"选择文件",
    start:"开始导入",
    choseFileW:"请选择文件!",
  },
  messageType: {
    lead:"线索消息提醒",
    project:"项目消息提醒",
    account:"客户消息提醒",
    projectUnFollow:"项目未跟进消息提醒",
    nonStandFollow:"非标评审消息提醒",
    bargainFollow:"议价消息提醒",
    quotationFollow:"报价消息提醒",
    projectDealDay:"决定日期提醒消息",
    agentContractDay:"签约到期提醒消息",
  },
  paraCategory: {
    Basic:"基础参数",
    Well:"井道参数",
    Car:"轿厢参数",
    Door:"门机参数",
    Optional:"选配参数",
  },
  currency: {
    currencyName:"币种",
    exchangeRate:"汇率",
    expiration:"有效日期",
    inputer:"录入人",
    inputDate:"录入日期",
    remark:"备注",
    ruleExchangeRange:"请输入正确的汇率，最多保留五位小数",
    currencyExchange:"币种汇率",
    effectiveDate:"生效日期",
    expirationDate:"失效日期",
  },
  discount: {
    role:"角色",
    minDiscount:"折扣最小值",
    maxDiscount:"折扣最大值",
    createUserNick:"录入人",
    createTime:"录入日期",
    discountRate:"销售折扣率",
  },
  target: {
    targetYear:"考核年度",
    targetCount:"目标台数",
    actualCount:"实际发货台数",
    targetMoney:"目标金额",
    actualMoney:"实际发货金额",
    targetProjectCount:"标杆项目数",
    actualProjectCount:"实际标杆项目数",
    editAssessment:"编辑考核",
    newAssessment:"新增考核",
    yearExist:"选中的年份已经存在数据，继续操作将会覆盖原有数据",
    completionRate:"完成率",
  },
  template: {
    add:"新增模板",
    view:"查看模板",
    edit:"编辑模板",
    no:"模板编号",
    name:"模板名称",
    elevatorPosition:"电梯位置描述",
    elevatorQuantity:"电梯台数",
    image:"模板图片",
  },
  messageCenter: {
    batchRead:"批量已读",
    readStatus:"读取状态",
    messageType:"消息类型",
    messageContent:"消息内容",
    read:"已读",
    noRead:"未读",
  },
  engineering: {
    add:"新增出图",
    elevatorModel:"梯型",
    elevatorNumber:"电梯台数",
    specification:"规格",
    status:"出图状态",
    no:"出图编号",
    view:"查看出图",
    quotation:"关联报价",
    elevatorNo:"电梯号",
    addType:"添加方式",
    templateSelect:"出图模板选择",
    commonShaftMaterial:"共井道材质",
    plot:"出图",
    download:"下载出图",
    associatedPlot:"关联出图",
    again:"重新出图",
    checkNullParam:"存在空的参数",
  },
  database: {
    fileName:"文件名称",
    fileType:"文件类型",
    visibleRange:"可见范围",
    briefIntroduction:"简介",
    setVisibleRange:"设置可见范围",
    adjustDir:"调整目录",
    setFileVisibleRange:"设置文件可见范围",
    selectDirOrFile:"请选择目录或者勾选文件",
    checkDirConfirm:"未勾选文件，继续操作将设置当前目录下所有文件",
    selectDir:"请选择目录",
    setDirVisibleRange:"设置目录可见范围",
    setupSuccess:"设置成功",
    roleName:"角色名称",
    addFolder:"添加文件夹",
    deleteFolder:"删除文件夹",
    confirmAdjustToHere:"是否确认调整至此目录?",
    deleteConfirm:"是否确认删除目录{0}及其子目录？",
    pleaseEnterFolderName:"请输入文件夹名称",
    illegalFolderName:"文件夹名字非法",
    addLibrary:"添加资料库",
    viewLibrary:"查看资料库",
    editLibrary:"修改资料库",
    clicktoadjust:"请点击目录进行调整",
    resourceLibrary:"资料库",
    questionBank:"试题库",
    editQuestion:"编辑试题",
  },
  fileupload: {
    typeError:"文件格式不正确，请上传以下格式文件",
    sizeError:"上传文件大小不能超过",
    uploading:"正在上传文件，请稍候…",
    countError:"上传文件数量不能超过",
    retry:"上传文件失败，请重试",
  },
  company: {
    website:"公司网址",
    background:"公司背景",
  },
  plot: {
    selectProject:"请先选择关联项目",
  },
  chatRoom: {
    needRoom:"请先选择聊天室！",
    needMsg:"不能发送空白信息！",
  },
  trainList: {
    addTrain:"新增培训",
    trainingName:"培训名称",
    state:"状态",
    trainingCategory:"培训类别",
    trainingTargets:"培训对象",
    startTime:"开始时间",
    endTime:"结束时间",
    whetherToAssess:"是否考核",
    trainingCompletionRate:"培训完成率",
    assessmentCompletionRate:"考核完成率",
    publisher:"发布人",
    releaseTime:"发布时间",
    remarks:"备注",
    trainingProgram:"培训方案",
    assessmentPlan:"考核方案",
    trainingTracking:"培训跟踪",
    fileList:"附件列表",
    filename:"附件名称",
    addFile:"添加附件",
    addObject:"添加对象",
    addAgain:"再次发起",
    examName:"考试名称",
    passScore:"通过分数",
    examInstructions:"考试说明",
    listOfTestQuestions:"试题列表",
    preview:"预览试卷",
    manualTopicSelection:"手动选题",
    randomSelectionOfTopics:"随机选题",
    importTestQuestions:"导入试题",
    targetName:"姓名",
    role:"角色",
    belongingTo:"所属",
    choiceAgain:"请不要重复选择",
    moveUp:"上移",
    moveDown:"下移",
    totalNumberOfQuestions:"总题数",
    totalScore:"总分数",
    singleChoiceQuestions:"单选题",
    multipleChoiceQuestions:"多选题",
    trueOrFalseQuestions:"判断题",
    fillInTheBlankQuestions:"填空题",
    questionContext:"试题名称",
    questionType:"试题类型",
    score:"分值（可编辑）",
    questionUnit:"道",
    scoreUnit:"分",
    randomSelectError:"获取题目失败，请检查题库是否为空",
    previewError:"预览失败，请添加题目",
    questionTypeNum:"题数",
    passScoreMsgError:"通过分数要在选择题目总分的范围内",
    assessResultConfirm:"试卷提交成功",
    examInProgress:"考核",
    isConfirmTest:"是否确认提交试卷",
    participants:"参与人员",
    trainResult:"培训情况",
    testResult:"考核情况",
    assessmentScore:"考核分数",
    moveTarget:"移除人员",
    trainCompleteNum:"培训完成人数",
    assessCompleteNum:"考核完成人数",
    complianceRate:"达标率",
    trainExportFileName:"培训数据",
    editTrain:"编辑培训",
    terminate:"终止培训",
    isTerminate:"是否确认终止",
    fileTypeError:"文件格式不正确，请上传以下格式文件：{limit}",
    finished:"培训已完成",
    requiredError:"存在必填项未填写，请检查！",
    scoreError:"请在总分的范围内!",
    scoreTimeError:"请先选择考核题目！",
    fileLimit:"只能上传{limit}格式的文件",
    trainDetail:"培训详细",
    questionStatusError:"存在未启用的题目，请先启用！",
    choiceQuestionIsNullError:"请先选择题目！",
    cannotRemove:"无法移除已经参加考核人员",
    choiceTargetIsNullError:"请先选择培训对象",
  },
  question: {
    questionContext:"题目名称",
    questionType:"题目类型",
    score:"分值",
    correctAnswer:"标准答案",
  },
  trainTarget: {
    needTrain:"需要考核",
    trainStatus:"培训状态",
    score:"考核分数",
    examStatus:"考核情况",
    participateTrain:"参与培训",
    participateExam:"参与考核",
    completeTrain:"完成培训",
    testView:"考核结果查看",
    assessmentResults:"考核结果",
    assessmentScore:"得分",
    pass:"已通过",
    notPass:"未通过",
    correctAnswer:"正确答案",
    trainUnStart:"培训还未开始",
    trainIsEnd:"培训已结束",
    onlineTraining:"在线培训",
    trainIsTerminate:"培训已终止",
  },
  todo: {
    auditFlow:"待办类型",
    businessDesc:"业务编号",
    auditStatus:"当前阶段",
  },
  contract: {
    approve:"审批",
    view:"查看",
    amendment:"变更",
    delete:"取消",
    addContract:"新增合同",
    contractNo:"合同号",
    salesman:"业务员",
    endCustomers:"终端客户",
    tradeTerms:"贸易条款",
    salesModel:"销售模式",
    approveStatus:"审批状态",
    approveYes:"通过",
    approveNo:"驳回",
    contractAdd:"合同新增",
    contractChange:"变更合同",
    approveYesSuccess:"审核通过",
    approveNoSuccess:"审核驳回成功",
    contract:"合同",
    information:"信息",
    paymentMethod:"付款方式",
    currencyId:"币种",
    amount:"合同金额",
    signingDate:"签单日期",
    paymentRatio:"付款比例",
    equipmentOverview:"设备一览",
    selectQuotation:"选择报价单",
    manuallyAdd:"手动添加",
    equipmentAddFees:"附加费用",
    changeHistory:"变更履历",
    version:"版本号",
    updateBy:"变更人",
    updateTime:"变更日期",
    changeRemark:"变更原因",
    origin:"来源",
    address:"地址",
    telephone:"电话",
    email:"邮件",
    shipmentPort:"装船口岸",
    shipmentDeadline:"装船期限",
    destinationPort:"目的口岸",
    shippingMark:"商标",
    toVoid:"作废",
    toReason:"作废原因",
    changeOrToVoidRemark:"变更/作废原因",
  },
  lift: {
    elevatorCode:"电梯号",
    elevatorType:"设备类型",
    elevatorModel:"梯型",
    specification:"规格",
    quotationNoVersion:"报价编号-版本",
    unitPrice:"单价",
    projectName:"项目名称",
    quoter:"报价者",
    count:"数量",
    quotationDiscount:"报价折扣",
    contractName:"合同名",
    reviewFormNumber:"评审单号",
    productCategory:"产品类别",
    planInlandFreightCost:"预计内陆运费",
    planOceanFreight:"预计海运费",
    reviewShippingCosts:"评审运费",
    reviewCommission:"评审佣金",
    otherFees:"其他费用",
    additionalCost:"附加费用",
    productionOrderNo:"生产令号",
    contractNoVersionNo:"合同号-版本号",
    contractAmendmentDate:"合同更改日期",
    amountOfMoney:"金额",
    expectedProductionScheduleDate:"预计排产日期",
    hopeToScheduleProductionDate:"希望排产日期",
    actualProductionScheduleDate:"实际排产日期",
    productionScheduleDate:"排产日期",
    reasonForProjectCancellationAndSuspension:"项目取消暂停原因",
    hopeForDeliveryDate:"希望发货日",
    actualDeliveryDate:"实际发货日",
    port:"港口",
    productionOrderStatus:"生产订单状态",
    reviewDiscount:"评审折扣",
    commissionPaymentDate:"佣金付款日期",
    paymentDate:"收款日期",
    receivingBank:"收款银行",
    receivedAmount:"已收金额",
    accountsReceivableBalance:"应收余额",
    planAdjustmentDate:"计划调整日期",
    actualInlandFreightCost:"实际内陆运费",
    actualOceanFreight:"实际海运费",
    invoiceDate:"开票日期",
    customsDeclarationMonth:"报关月份",
    subsequentCollectionOfShippingFees:"后续收取运费",
    collectionDate:"收取日期",
    projectStatus:"项目状态",
    mUsdRate4ProductionScheduling:"排产月美元汇率",
    mEuroRate4ProductionScheduling:"排产月月欧元汇率",
    mUsdRate4Shipment:"发货月美元汇率",
    mEuroRate4Shipment:"发货月欧元汇率",
    mUsdRate4SigningContracts:"签单月美元汇率",
    mEuroRate4SigningContracts:"签单月欧元汇率",
    selectRow:"请选择数据！",
    contractLiftEdit:"生产信息录入成功",
    agentNotExistQuotation:"该代理商未找到对应的报价单",
    pleaseSelectQuotation:"选择报价单",
    pleaseSelectAgent:"请选择代理商",
    changeReasonNotNull:"变更原因不能为空",
    agentNotExistAccount:"该代理商无相关的终端客户",
    pleaseSelectData:"请选择数据",
    equipment:"设备",
    equipmentAdd:"新增设备",
    equipmentEdit:"编辑设备",
    informationInsert:"生产信息录入",
    toVoidReasonNotNull:"作废原因不能为空",
  },
  agentAddProject: {
    sumWeek:"新增客户数",
    sumTotal:"合计客户数",
    accountName:"所属客户",
    sumProjectWeek:"新建项目数量",
    sumEngineeringWeek:"新建项目台数",
    priceWeek:"新建项目金额",
    sumProjectTotal:"合计项目数量",
    sumEngineeringTotal:"合计项目台数",
    priceTotal:"合计项目金额",
  },
  agentProjectStatistics: {
    completeProjectQty:"成单项目数量",
    completeProjectEquipmentQty:"成单项目台数",
    completeProjectPrice:"成单项目金额",
    lostProjectQty:"丢单项目数量",
    lostProjectEquipmentQty:"丢单项目台数",
    lostProjectPrice:"丢单项目金额",
    sumProjectQty:"合计项目数量",
    sumProjectEquipmentQty:"合计项目台数",
    sumProjectPrice:"合计项目金额",
    completionRate:"成单率",
    lostOrderRate:"丢单率",
    year:"年份",
  },
  agentCompleteOrder: {
    agentName:"代理商名",
    shippedQty:"出货台数",
    shippedPrice:"出货金额",
    accountName:"客户名",
    annualProcurementQty:"年度采购台量",
  },
}
